# Generated by Makefile. Do not edit.

2012-09-19  Charles Kerr  <charles.kerr@canonical.com>

	12.10.1

2012-09-12  Charles Kerr  <charles.kerr@canonical.com>

	In libindicator, remove the cloak/decloak code in IndicatorObject to address Bug #1045372.
	
	In indicator-loader, support hiding & re-showing IndicatorObjectEntries by caching their menuitems and using gtk_widget_hide / gtk_widget_show.
	
	In tests/test-loader and tests/dummy-indicator-visible.c, support hiding & re-showing IndicatorObjectEntries by caching their parent widgetry instead of using gtk_widget_destroy().. Fixes: https://bugs.launchpad.net/bugs/1045372. Approved by Lars Uebernickel, jenkins.

2012-09-11  Charles Kerr  <charles.kerr@canonical.com>

	In tests/test-loader and tests/dummy-indicator-visible.c, support hiding & re-showing IndicatorObjectEntries by caching their parent widgetry instead of using gtk_widget_destroy()

2012-09-11  Charles Kerr  <charles.kerr@canonical.com>

	No newline at end of file

2012-09-11  Charles Kerr  <charles.kerr@canonical.com>

	remove the cloak/decloak widget logic

2012-07-11  Charles Kerr  <charles.kerr@canonical.com>

	bump version to 12.10.0

2012-06-19  Lars Uebernickel  <lars.uebernickel@canonical.com>

	merge lp:~charlesk/libindicator/fix-test-sources

2012-06-18  Charles Kerr  <charles.kerr@canonical.com>

	fix copy-and-paste error in specifying the tests' source files

2012-06-18  Charles Kerr  <charles.kerr@canonical.com>

	merge lp:~evgeni/libindicator/multiarch-same-devheaders so that we don't include build-time filenames in comments of the enum header files.

2012-06-10  Evgeni Golov  <evgeni@debian.org>

	don't include build-time filenames in comments of the enum header files
	
	If we do, the header files may be different on each build.
	This is especially harmful when building multiple times for multiple
	architectures and expecting the files to be identical.

2012-04-23  Charles Kerr  <charles.kerr@canonical.com>

	merge lp:~charlesk/libindicator/cxx to constify the constructors for indicator_service_manager

2012-04-22  Charles Kerr  <charles.kerr@canonical.com>

	indiator_service_manager_new*()'s name arguments were gchar*, make them const gchar*

2012-04-11  Charles Kerr  <charles.kerr@canonical.com>

	0.5.0

2012-04-11  Charles Kerr  <charles.kerr@canonical.com>

	merge lp:~charlesk/libindicator/lp-946408 to safeguard against invalid images being passed to indicator_image_helper_update()

2012-04-11  Charles Kerr  <charles.kerr@canonical.com>

	in indicator_image_helper_update(), test the image argument with GTK_IS_IMAGE before using it.

2012-04-04  Ted Gould  <ted@gould.cx>

	0.4.95

2012-04-03  Charles Kerr  <charles.kerr@canonical.com>

	merge lp:~allanlesage/libindicator/TDD to remove a dependency on gcovr, move gcov targets to their own makefile, and clean up .gcno files.

2012-03-27  Allan LeSage  <allanlesage@gmail.com>

	Removed gcovr dependency, moved coverage targets to own makefile, cleaning up *.gcno.

2012-04-03  Charles Kerr  <charles.kerr@canonical.com>

	merge lp:~charlesk/libindicator/lp-948391 to fix spelling/grammar errors in an error message.

2012-04-02  Charles Kerr  <charles.kerr@canonical.com>

	Fix spelling/grammar errors in an error message.

2012-04-02  Charles Kerr  <charles.kerr@canonical.com>

	When using g_variant_get("&s...", &string), the string must not be free'd.

2012-04-01  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Setting again the variables as const

2012-04-01  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Indicator Service Manager: we don't have to free values if got with &s from variant
	
	See http://is.gd/EyhAhP

2012-03-29  Charles Kerr  <charles.kerr@canonical.com>

	merge lp:~charlesk/libindicator/fix-disthook to fix auto-generation of AUTHORS and Changelog by looking for 'missing' in the directory where we told AC_CONFIG_AUX_DIR to put it.

2012-03-29  Charles Kerr  <charles.kerr@canonical.com>

	look for 'missing' in ac_aux_dir rather than top_srcdir.

2012-03-28  Charles Kerr  <charles.kerr@canonical.com>

	0.4.94

2012-03-26  Charles Kerr  <charles.kerr@canonical.com>

	merge lp:~htorque/libindicator/fix-small-leak to fix a GError memory leak reported in lp bug #965459

2012-03-26  Hernando Torque  <sirius@sonnenkinder.org>

	Free GError.

2012-03-16  Charles Kerr  <charles.kerr@canonical.com>

	fix minor memory leak when the proxy name changes

2012-03-07  Ted Gould  <ted@gould.cx>

	0.4.93

2012-03-05  Charles Kerr  <charles.kerr@canonical.com>

	merge lp:~ted/libindicator/lp719457 for Bug #719457

2012-03-02  Ted Gould  <ted@gould.cx>

	Attaching bug

2012-03-02  Ted Gould  <ted@gould.cx>

	Copying the name before using it to remove as it seems that the unwatch can cause the name to be free'd in some cases.  Odd, but valgrind can find it

2012-03-02  Ted Gould  <ted@gould.cx>

	Support new FD.o Desktop Actions

2012-02-27  Ted Gould  <ted@gould.cx>

	Get the right group in exec too! 

2012-02-27  Ted Gould  <ted@gould.cx>

	Handling the different group names when getting the name as well

2012-02-27  Ted Gould  <ted@gould.cx>

	Update test desktop file

2012-02-27  Ted Gould  <ted@gould.cx>

	Creating a warning for the legacy support

2012-02-27  Ted Gould  <ted@gould.cx>

	Adding a value for whether it should use the TargetEnvironment, I'm removing the warning because we don't care to fix old stuff anymore

2012-02-27  Ted Gould  <ted@gould.cx>

	Use the appropriate list of nicks and groups to find our data now

2012-02-27  Ted Gould  <ted@gould.cx>

	Figure out what kind of actions we have

2012-02-27  Ted Gould  <ted@gould.cx>

	Adding a state variable to track what kind of actions we have

2012-02-27  Ted Gould  <ted@gould.cx>

	Attaching bug

2012-02-27  Ted Gould  <ted@gould.cx>

	Changing our defines around to make sure to mark things the way that we think about them.

2012-02-29  Charles Kerr  <charles.kerr@canonical.com>

	lp:~charlesk/libindicator/fix-939061

2012-02-29  Charles Kerr  <charles.kerr@canonical.com>

	silence Coverity warning "PW.BRANCH_PAST_INITIALIZATION - CID 10615" reported in Bug #939061 
	
	Coverity is unhappy that the local variable "priv" is uninitialized if one of the goto branches is followed in this function. Since we only use priv once, a fairly clean way of sidestepping this warning is removing the local variable "priv" and instead using INDICATOR_OBJECT_GET_PRIVATE()'s return pointer directly.

2012-02-29  Charles Kerr  <charles.kerr@canonical.com>

	tweak: use g_clear_object() instead of if-not-null-g_object_unref()

2012-02-23  Ted Gould  <ted@gould.cx>

	0.4.92

2012-02-22  Ted Gould  <ted@gould.cx>

	Remove unenforcable consts

2012-02-22  Ted Gould  <ted@gould.cx>

	Attaching bug

2012-02-22  Ted Gould  <ted@gould.cx>

	Removing unenforcable consts

2012-02-14  Ted Gould  <ted@gould.cx>

	Adjusting timeout so it'll build on the buildds too

2012-02-14  Ted Gould  <ted@gould.cx>

	Explicitly listing gmodule as a library we're using

2012-02-14  Ted Gould  <ted@gould.cx>

	Explicity add gmodule in the list of required libraries

2012-02-14  Ted Gould  <ted@gould.cx>

	0.4.91

2012-02-13  Lars Uebernickel  <lars.uebernickel@canonical.com>

	indicator_object_set_visible: only emit entry-{added,removed} when visibility actually changed
	
	Emitting those signals is semantically incorrect. It also confused
	indicator-loader and the panel, because they are not checking whether an entry
	is already present in their entry-added handlers. This led to gtk warnings
	("widget already has a parent") and strange effects, such as the same menu
	being added multiple times into the panel.
	
	This patch also makes indicator_object_dispose use indicator_object_set_visible
	(it was already doing something similar).

2012-02-13  Lars Uebernickel  <lars.uebernickel@canonical.com>

	indicator_object_dispose: remove unneeded list of entries

2012-02-13  Lars Uebernickel  <lars.uebernickel@canonical.com>

	indicator_object_dispose: use _set_visible instead of reimplementing it

2012-02-13  Lars Uebernickel  <lars.uebernickel@canonical.com>

	indicator_object_set_visible: no need to check for ENTRY_INIT

2012-02-12  Lars Uebernickel  <lars.uebernickel@canonical.com>

	indicator_object_set_visible: only emit entry-{added,removed} when visibility actually changed
	
	Emitting those signals is semantically incorrect.  It also confused
	indicator-loader and the panel, because they are not checking whether an entry
	is already present in their entry-added handlers.  This led to gtk warnings
	("widget already has a parent") and strange effects, such as the same menu
	being added multiple times into the panel.

2012-02-10  Ted Gould  <ted@gould.cx>

	Free groupname after usage

2012-02-09  Daniel d'Andrada  <daniel.dandrada@canonical.com>

	Plug memory leak in parse_keyfile function.

2012-02-03  Ted Gould  <ted@gould.cx>

	Be more agressive in ensureing the parent_object value is available everywhere.

2012-02-03  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	tests, DummyIndicatorSignaler: free the allocated memory.

2012-01-25  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Test loader: check also for parent changes

2012-01-25  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Tests: update dummy signaler to work with real IndicatorObjectEntry
	
	This fixes a crash due to the parent/unparent.

2012-01-25  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	IndicatorObject: update object parent in any case.

2012-01-25  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Added better parent_object tests.

2012-01-25  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Indicator-Object: update the parent_object value only if the entry is valid.

2012-01-25  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	IndicatorObject: correctly initialize the parent object.

2012-01-24  Ted Gould  <ted@gould.cx>

	0.4.90

2012-01-23  Ted Gould  <ted@gould.cx>

	Bumping the ABI version

2012-01-23  Ted Gould  <ted@gould.cx>

	Add visibility concept to the default indicator object

2012-01-23  Charles Kerr  <charles.kerr@canonical.com>

	"bzr merge lp:indicator" + conflict resolution in tests suite

2012-01-23  Charles Kerr  <charles.kerr@canonical.com>

	another iteration of the indicator-object visibility support patch, incorporating ideas from discussion with ted
	
	- some functions were public when they should have been private
	- the hide/show handler is now a virtual function & is documented in indicator-object.h
	- added unit tests
	- the GSettings monitor has been removed

2012-01-20  Charles Kerr  <charles.kerr@canonical.com>

	fix bugs in IndicatorObject's visibility support.

2012-01-13  Charles Kerr  <charles.kerr@canonical.com>

	Better implementation.
	
	This version handles the bootstrapping conditions better, and also refs+detaches the GtkMenu for safekeeping between removed->added events s.t. it can keep being reused.

2012-01-12  Charles Kerr  <charles.kerr@canonical.com>

	initial revision for GSettings/GtkMenu visibility support

2012-01-23  Ted Gould  <ted@gould.cx>

	Put the parent pointer in the entry struct to make it easier for the implementers of the panel side

2012-01-19  Ted Gould  <ted@gould.cx>

	Checking to ensure the parent_object pointer gets set

2012-01-19  Ted Gould  <ted@gould.cx>

	Adding a warning for entries that do not set their parent_object

2012-01-19  Ted Gould  <ted@gould.cx>

	Set the parent_object on the default entry

2012-01-19  Ted Gould  <ted@gould.cx>

	Adding a parent object pointer to the entry

2012-01-19  Ted Gould  <ted@gould.cx>

	Adding a window ID function to pass the window ID

2012-01-16  Ted Gould  <ted@gould.cx>

	Moving the function into the tester to making linking simpler

2012-01-16  Ted Gould  <ted@gould.cx>

	Adding a test to look to make sure the fallback works

2012-01-14  Ted Gould  <ted@gould.cx>

	Add a function to swap out the window entry handler

2012-01-14  Ted Gould  <ted@gould.cx>

	Getting the header in dist

2012-01-14  Ted Gould  <ted@gould.cx>

	Adding a test functioin for the entry func demmy indicator

2012-01-14  Ted Gould  <ted@gould.cx>

	Mark the entry functions as called

2012-01-13  Ted Gould  <ted@gould.cx>

	Setting up entry functions

2012-01-13  Ted Gould  <ted@gould.cx>

	Adding some public values to know if functions were called

2012-01-13  Ted Gould  <ted@gould.cx>

	Moving things into a shared header

2012-01-13  Ted Gould  <ted@gould.cx>

	Build a new dummy indicator

2012-01-13  Ted Gould  <ted@gould.cx>

	Clearing the entry function pointers

2012-01-13  Ted Gould  <ted@gould.cx>

	Handling the activate_window function and going up the stack

2012-01-13  Ted Gould  <ted@gould.cx>

	Documenting what this stuff does

2012-01-13  Ted Gould  <ted@gould.cx>

	Adding an activate window function, that can also be virtual! 

2012-01-13  Ted Gould  <ted@gould.cx>

	Adding test coverage checking

2011-12-06  Allan LeSage  <allanlesage@gmail.com>

	Added coverage reporting via gcov config and targets.

2012-01-13  Ted Gould  <ted@gould.cx>

	Ignoring all the stuff we build

2012-01-13  Ted Gould  <ted@gould.cx>

	Putting the GTK3 headers in a different directory

2011-11-20  György Balló  <ballogy@freestart.hu>

	Use different directory for headers of gtk3 library

2012-01-13  Ted Gould  <ted@gould.cx>

	Adding ability to disable tests

2011-11-20  György Balló  <ballogy@freestart.hu>

	Make building tests optional

2011-09-28  Ted Gould  <ted@gould.cx>

	0.4.1

2011-09-20  Ted Gould  <ted@gould.cx>

	Make sure our menus don't get proxied

2011-09-19  Ted Gould  <ted@gould.cx>

	0.4.0

2011-09-16  Ted Gould  <ted@gould.cx>

	Add in libm

2011-09-03  Evgeni Golov  <evgeni@debian.org>

	find and link libm
	
	otherwise it will ftbfs with --as-needed because
	libindicator/indicator-image-helper.c uses round() but does not link to libm

2011-08-11  Ted Gould  <ted@gould.cx>

	0.3.93

2011-08-10  Ted Gould  <ted@gould.cx>

	Check a reload of the icon theme if needed

2011-08-02  Aurelien Gateau  <aurelien.gateau@canonical.com>

	Ask GTK to rescan the icon theme if the wanted icon cannot be found.
	
	This is necessary at least with sni-qt, which generates icon on the fly in a
	custom theme dir.

2011-07-29  Ted Gould  <ted@gould.cx>

	Don't make a new include directory based on GTK version

2011-07-21  Ted Gould  <ted@gould.cx>

	Making sure the lib builds before the tests or tools

2011-07-21  Ted Gould  <ted@gould.cx>

	0.3.92

2011-07-21  Ted Gould  <ted@gould.cx>

	Adding in secondary activate support

2011-07-21  Ted Gould  <ted@gould.cx>

	Dropping the x and y paramaters from the secondary activate signal

2011-07-09  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Added support for secondary activate signal: i.e. middle-click
	
	Secondary activate signal is designed to be used for a secondary
	kind of activation, for example using middle-click.
	
	It exports both the event time and the mouse position (this is
	mostly needed to follow the Status Notifier specifications).

2011-07-08  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging with trunk

2011-07-14  Ted Gould  <ted@gould.cx>

	0.3.91

2011-07-14  Ted Gould  <ted@gould.cx>

	Fixing the libindicator test suite

2011-07-11  Ted Gould  <ted@gould.cx>

	Cleaning up removal of watchers as the string was getting free'd before it could get used to remove the entry from the hashtable.  Now using a destroy function as that is possible with GDBus but wasn't with dbus-glib

2011-07-11  Ted Gould  <ted@gould.cx>

	Define the bus well known type in the session.conf file

2011-07-12  Ted Gould  <ted@gould.cx>

	Adding an env variable to put a service in replace mode

2011-07-12  Ted Gould  <ted@gould.cx>

	Watching when we do name switches

2011-07-12  Ted Gould  <ted@gould.cx>

	Adding in the shutdown function

2011-07-12  Ted Gould  <ted@gould.cx>

	In replace mode we need to ask the other guy to shutdown and still wait for the name a bit.

2011-07-12  Ted Gould  <ted@gould.cx>

	Adding in a property for being in replace mode

2011-07-11  Ted Gould  <ted@gould.cx>

	Add the PC file instead of replace it

2011-07-11  Ted Gould  <ted@gould.cx>

	Handle NULL entries without crashing

2011-07-07  Ted Gould  <ted@gould.cx>

	Installing the debugging env entries in shared directory instead of the executable one.

2011-07-07  Ken VanDine  <ken.vandine@canonical.com>

	Make xsessiondir = $(pkgdatadir)

2011-07-07  Ted Gould  <ted@gould.cx>

	Fixing doc string

2011-07-07  Ken VanDine  <ken.vandine@canonical.com>

	Changed to help message for --with-gtk to reflect the new default

2011-07-07  Ted Gould  <ted@gould.cx>

	Anotating the get entires function properly.

2011-07-08  Robert Ancell  <robert.ancell@canonical.com>

	Annotate the return value of indicator_object_get_entries so that the type in the list is known, also fix typo in docstring

2011-07-07  Ted Gould  <ted@gould.cx>

	Making the box function conditional on GTK version

2011-07-07  Ted Gould  <ted@gould.cx>

	Handling the right box for the right version of GTK

2011-07-06  Ted Gould  <ted@gould.cx>

	0.3.90

2011-07-06  Ted Gould  <ted@gould.cx>

	Cleaning up the built pc file

2011-07-06  Ted Gould  <ted@gould.cx>

	Switch to using gtk_box_new()

2011-07-06  Ted Gould  <ted@gould.cx>

	Making some test XFAIL and attaching to bugs

2011-07-06  Ted Gould  <ted@gould.cx>

	Adding headers to tests

2011-07-06  Ted Gould  <ted@gould.cx>

	Adding license info to [ch] files

2011-07-06  Ted Gould  <ted@gould.cx>

	Changing the API and ABI versioning slightly

2011-07-05  Ted Gould  <ted@gould.cx>

	Setting default GTK version to 3

2011-07-05  Ted Gould  <ted@gould.cx>

	Changing the pkgconfig file version to include the API version

2011-07-05  Ted Gould  <ted@gould.cx>

	Making the API and ABI versions variables

2011-07-05  Ted Gould  <ted@gould.cx>

	Adding another level of .in for the pc files.

2011-07-06  Ted Gould  <ted@gould.cx>

	Adding in the name hint for the indicators

2011-07-05  Ted Gould  <ted@gould.cx>

	Clearing our local name_hint and ensuring we fill it if a function is provided.

2011-07-05  Ted Gould  <ted@gould.cx>

	Adding a get name hint function as well.

2011-07-05  Ted Gould  <ted@gould.cx>

	Adding the naming hint to the entry structure

2011-07-05  Ted Gould  <ted@gould.cx>

	Switching to single scrolling event.

2011-07-02  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Merging "scroll" and "scroll-entry" into the "entry-scrolled" signal
	
	API change to merge the duplication of signals, as defined in
	the blueprint desktop-dx-o-indicators-review

2011-06-16  Ted Gould  <ted@gould.cx>

	Updating autotools

2011-06-15  Javier Jardón  <javier.jardon@codethink.co.uk>

	configure.ac: Generate xz tarballs with pax format by default

2011-06-15  Javier Jardón  <javier.jardon@codethink.co.uk>

	Update autotools configuration
	
	Do not use deprecated macros
	Use new libtool syntax

2011-03-23  Ted Gould  <ted@gould.cx>

	0.3.22

2011-03-23  Ted Gould  <ted@gould.cx>

	Adding API to know what the environment the indicator is in

2011-03-22  Ted Gould  <ted@gould.cx>

	Adding a nice little checking function

2011-03-22  Ted Gould  <ted@gould.cx>

	Adding an environments variable and make a lifecycle for it.

2011-03-22  Ted Gould  <ted@gould.cx>

	Getting some stub functions in

2011-03-22  Ted Gould  <ted@gould.cx>

	Making the environments a list of strings

2011-03-16  Ted Gould  <ted@gould.cx>

	0.3.21

2011-03-16  Ted Gould  <ted@gould.cx>

	Fix checking for target environment on the desktop group

2011-03-16  Ted Gould  <ted@gould.cx>

	Make sure not to use TargetEnvironment on the desktop group

2011-03-03  Ted Gould  <ted@gould.cx>

	0.3.20

2011-03-03  Ted Gould  <ted@gould.cx>

	Use the TargetEnvironment key

2011-03-02  Ted Gould  <ted@gould.cx>

	Removing warning that there are no shortcuts, that's a valid thing to have.

2011-03-02  Ted Gould  <ted@gould.cx>

	Adding a target environment key and checking for that over others.

2011-02-17  Ted Gould  <ted@gould.cx>

	0.3.19

2011-02-16  Ted Gould  <ted@gould.cx>

	Returning reserveds as we're breaking ABI anyway

2011-02-16  Ted Gould  <ted@gould.cx>

	Bumping the major version of the lib and the indicator directory

2011-02-16  Ted Gould  <ted@gould.cx>

	Merging support for having an accessible description

2011-02-08  Luke Yelavich  <luke.yelavich@canonical.com>

	accessible_name -> accessible_desc in tests as well

2011-02-08  Luke Yelavich  <luke.yelavich@canonical.com>

	* accessible_name -> accessible_desc to better reflect the use of the content.
	* Add accessible-desc-update signal so that indicators can tell
	indicator-applet/unity that the accessible description has changed

2011-02-01  Luke Yelavich  <luke.yelavich@canonical.com>

	use const gchar for variable and prototype

2011-02-01  Luke Yelavich  <luke.yelavich@canonical.com>

	Merge from trunk

2011-01-18  Luke Yelavich  <luke.yelavich@canonical.com>

	Add accessible_name variable in indicator entry structure

2011-02-16  Ted Gould  <ted@gould.cx>

	Fixing makefile to include all the necissary files in dist

2011-02-15  Ted Gould  <ted@gould.cx>

	Adding the service.in files as well

2011-02-15  Sebastien Bacher  <seb128@ubuntu.com>

	Add session.conf.in to dist

2011-01-27  Ted Gould  <ted@gould.cx>

	0.3.18

2011-01-27  Ted Gould  <ted@gould.cx>

	Adding a signal for scrolling that includes the entry

2011-01-27  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Removed typo in code.
	
	Pasted a more SCROLL value :P

2011-01-27  Marco Trevisan (Treviño)  <mail@3v1n0.net>

	Added support for "signal-entry" signal
	
	libindicator support the new "scroll-entry" signal (which get called
	using the target entry as parameter too) I think that maybe we could
	simply rewrite the "scroll" signal, but I kept it there for
	compatibility reasons; however, actually just the indicator-sound
	should be fixed in case of switch...

2011-01-14  Ted Gould  <ted@gould.cx>

	0.3.17

2011-01-13  Ted Gould  <ted@gould.cx>

	Use dbus name watches instead of g-owner-change signal for watching for restarts.

2011-01-13  Michael Terry  <mike@mterry.name>

	use actual DBus NameOwnerChanged interface rather than GDBus's higher level signal because that one only works for well-known names

2011-01-13  Michael Terry  <mike@mterry.name>

	fix basename issue when make is given full path

2011-01-13  Ted Gould  <ted@gould.cx>

	0.3.16

2011-01-10  Ted Gould  <ted@gould.cx>

	Adding a signal for the menu being closed.

2011-01-10  Ted Gould  <ted@gould.cx>

	Fixing doc strings

2011-01-09  Ted Gould  <ted@gould.cx>

	Adding a virtual function for closing the menu and a wrapper for it.

2011-01-10  Ted Gould  <ted@gould.cx>

	Porting to GDBus

2011-01-09  Ted Gould  <ted@gould.cx>

	Using the GCancellable to detect if we're already creating a proxy so that we don't do it twice.

2011-01-09  Ted Gould  <ted@gould.cx>

	Using variant_unref instead of object_unref as it's a variant

2011-01-09  Ted Gould  <ted@gould.cx>

	Making getting the proxy and watching cancellable so that we don't get weird crashes.

2011-01-09  Ted Gould  <ted@gould.cx>

	Adding in the ability to cancel the connection on short lived objects.

2011-01-07  Ted Gould  <ted@gould.cx>

	Removing a test that is broken at a lower level

2011-01-07  Ted Gould  <ted@gould.cx>

	Getting test suite build fixes

2011-01-07  Ted Gould  <ted@gould.cx>

	Syncing up to trunk

2011-01-07  Ted Gould  <ted@gould.cx>

	Switching to the session bus

2011-01-07  Ted Gould  <ted@gould.cx>

	Out of order parameters.

2011-01-07  Ted Gould  <ted@gould.cx>

	Adding in creating the interface info from the XML files

2011-01-07  Ted Gould  <ted@gould.cx>

	Replacing the service proxy with a brand new GDBus one

2011-01-07  Ted Gould  <ted@gould.cx>

	Ignoring the new files

2011-01-07  Ted Gould  <ted@gould.cx>

	Removing the bus and dbus_proxy variables as we won't need them anymore.

2011-01-07  Ted Gould  <ted@gould.cx>

	Switching around headers to the new world order

2011-01-07  Ted Gould  <ted@gould.cx>

	Instead of setting up a proxy to watch the watcher we're setting up a bus name watch on each one.

2011-01-07  Ted Gould  <ted@gould.cx>

	Little clean-ups the compiler found now that it's more happy.

2011-01-07  Ted Gould  <ted@gould.cx>

	Switch over to getting the GDBus bus instead of the dbus-glib one

2011-01-07  Ted Gould  <ted@gould.cx>

	Removing unused prototypes

2011-01-07  Ted Gould  <ted@gould.cx>

	Fleshing out the bus_method_call functions and tying them into the traditional start points from dbus.

2011-01-07  Ted Gould  <ted@gould.cx>

	Switching the way that we get a name on dbus and removing the dbus_proxy which was used for this previously.

2011-01-07  Ted Gould  <ted@gould.cx>

	Setting up the VTable

2011-01-07  Ted Gould  <ted@gould.cx>

	Switching the registration of the object over.

2011-01-07  Ted Gould  <ted@gould.cx>

	Parsing the XML file for the interface description on class init

2011-01-07  Ted Gould  <ted@gould.cx>

	Removing the dbus-glib headers

2011-01-07  Ted Gould  <ted@gould.cx>

	Changing the way the dbus xml is handled.

2011-01-06  Ted Gould  <ted@gould.cx>

	Removing dbus-glib from the build

2011-01-09  Ted Gould  <ted@gould.cx>

	Making the test suite compile again

2011-01-07  Ted Gould  <ted@gould.cx>

	Disabling the launch test temporarily as it seems broken in GLib

2011-01-07  Ted Gould  <ted@gould.cx>

	Fixing the linking of the tests to the right libs

2011-01-06  Ted Gould  <ted@gould.cx>

	Fixing the GTK3 include path.

2011-01-06  Ken VanDine  <ken.vandine@canonical.com>

	fixed the includedir

2011-01-06  Ted Gould  <ted@gould.cx>

	Fixing build source path and build a GTK3 loader

2010-11-24  Ken VanDine  <ken.vandine@canonical.com>

	Use abs_srcdir to find template files

2010-11-24  Ken VanDine  <ken.vandine@canonical.com>

	Build indicator-loader3 

2011-01-06  Ted Gould  <ted@gould.cx>

	Adding an important field to relate to when to show the indicator.

2011-01-04  Ted Gould  <ted@gould.cx>

	Adding a function to check whether we should show the indicator with priority.

2011-01-04  Ted Gould  <ted@gould.cx>

	Making it a real signal now

2011-01-04  Ted Gould  <ted@gould.cx>

	Adding a show now state to indicate priority.

2010-11-11  Ted Gould  <ted@gould.cx>

	0.3.15

2010-11-11  Ted Gould  <ted@gould.cx>

	Fixing the ignore file tarball matching

2010-11-11  Ted Gould  <ted@gould.cx>

	Merging in the GTK3 basis for the build

2010-11-11  Ted Gould  <ted@gould.cx>

	Making sure to get both pc files in the tarball

2010-11-11  Ted Gould  <ted@gould.cx>

	Checking for deprecations and making sure we check on distcheck

2010-11-11  Ted Gould  <ted@gould.cx>

	Putting the GTK3 indicators in a different directory.

2010-11-11  Ted Gould  <ted@gould.cx>

	Updating ignore for the GTK3 stuff

2010-11-11  Ted Gould  <ted@gould.cx>

	Merging in trunk to solve conflicts

2010-10-06  Michael Terry  <mike@mterry.name>

	instead of always building gtk2 and gtk3, add a --with-gtk= flag to configure to specify which to build with

2010-06-19  Michael Terry  <michael.terry@canonical.com>

	don't use 3.3 version, rather use indicator3

2010-06-19  Michael Terry  <michael.terry@canonical.com>

	first pass at providing a gtk3 version

2010-10-15  Ted Gould  <ted@gould.cx>

	Adding a file to have the debugging environment variables

2010-10-15  Ted Gould  <ted@gould.cx>

	Add mean comment

2010-10-15  Ted Gould  <ted@gould.cx>

	Adding a number in the name

2010-10-15  Ted Gould  <ted@gould.cx>

	Installing the environment file in the session dir

2010-10-15  Ted Gould  <ted@gould.cx>

	All the environment flags we should set for debugging

2010-09-21  Ted Gould  <ted@gould.cx>

	0.3.14

2010-09-21  Ted Gould  <ted@gould.cx>

	Changing AUTHORS to mention it's built

2010-09-21  Ted Gould  <ted@gould.cx>

	Adding dist hooks for AUTHORS and ChangeLog

2010-09-19  Ted Gould  <ted@gould.cx>

	Adding in the about-to-show signal

2010-09-17  Ted Gould  <ted@gould.cx>

	Adding some version information so we don't need a conflicts

2010-09-16  Ted Gould  <ted@gould.cx>

	Changing indicator directory to '4'

2010-09-16  Ted Gould  <ted@gould.cx>

	Creating a callback on the loader to signal the event press down to the entry.

2010-09-16  Ted Gould  <ted@gould.cx>

	Fleshing out the entry activate function

2010-09-16  Ted Gould  <ted@gould.cx>

	Breaking the ABI and adding a subclassable function.

2010-09-16  Ted Gould  <ted@gould.cx>

	Adding a function to push activate back down.

2010-09-15  Ted Gould  <ted@gould.cx>

	0.3.13

2010-09-15  Ted Gould  <ted@gould.cx>

	Printout on menu showing in the loader

2010-09-15  Ted Gould  <ted@gould.cx>

	Putting a printout in for showing menus.

2010-09-14  Ted Gould  <ted@gould.cx>

	Adding a menu_show signal

2010-09-14  Ted Gould  <ted@gould.cx>

	Adding in the signal for the menu showing

2010-09-14  Ted Gould  <ted@gould.cx>

	Forgot the signal name

2010-09-14  Ted Gould  <ted@gould.cx>

	Adding slot for the menu show signal

2010-08-18  Ted Gould  <ted@gould.cx>

	0.3.12

2010-08-18  Ted Gould  <ted@gould.cx>

	Fixing a g_error so we don't kill unity

2010-08-16  Ted Gould  <ted@gould.cx>

	Changing the message to a warning and clearing the GtkImage.

2010-08-13  Ted Gould  <ted@gould.cx>

	Adding debug flag

2010-08-13  Mikkel Kamstrup Erlandsen  <mikkel.kamstrup@gmail.com>

	Add an --enable-debug flag to configure script that forces a -g to gcc

2010-08-12  Ted Gould  <ted@gould.cx>

	0.3.11

2010-08-12  Ted Gould  <ted@gould.cx>

	Allowing for absolute file names for icons.

2010-08-09  Karl  <karl@karl-desktop>

	Added absolute filename fixes

2010-07-15  Ted Gould  <ted@gould.cx>

	0.3.10

2010-07-13  Ted Gould  <ted@gould.cx>

	Adding a configurable timeout by environment variable.

2010-07-12  Ted Gould  <ted@gould.cx>

	Adding a new variable to adjust the time of the kill switch.

2010-07-09  Ted Gould  <ted@gould.cx>

	Fixing unwatching lookups.

2010-07-09  Ted Gould  <ted@gould.cx>

	We want the key not the value.

2010-07-09  Ted Gould  <ted@gould.cx>

	Taking it to the next level with impoliteness.

2010-07-09  Ted Gould  <ted@gould.cx>

	Lots of impoliteness to make sure.

2010-07-09  Ted Gould  <ted@gould.cx>

	Adding an impolite manager.

2010-07-09  Ted Gould  <ted@gould.cx>

	Bug

2010-07-09  Ted Gould  <ted@gould.cx>

	Adding in the unwatching test

2010-07-09  Ted Gould  <ted@gould.cx>

	A couple debug messages to make the test easier to read the output from.

2010-07-09  Ted Gould  <ted@gould.cx>

	Up to 5 watchers.

2010-07-09  Ted Gould  <ted@gould.cx>

	Longer timeout

2010-07-09  Ted Gould  <ted@gould.cx>

	Okay, we need our own service too.  Bah.

2010-07-09  Ted Gould  <ted@gould.cx>

	Delaying the watchers to ensure that we don't dbus activate, and removing the session.conf to even allow for that.

2010-07-09  Ted Gould  <ted@gould.cx>

	Starting the service ourselves.

2010-07-09  Ted Gould  <ted@gould.cx>

	Ignoring the new builds.

2010-07-09  Ted Gould  <ted@gould.cx>

	Making a new manager

2010-07-09  Ted Gould  <ted@gould.cx>

	Start a multi watch test

2010-07-09  Ted Gould  <ted@gould.cx>

	Uhg, wrong branch

2010-07-09  Ted Gould  <ted@gould.cx>

	Stop asking for the name, instead let's find it on our own.

2010-07-09  Ted Gould  <ted@gould.cx>

	A could of protections for the core.

2010-07-09  Ted Gould  <ted@gould.cx>

	Freeing the service.

2010-07-08  Ted Gould  <ted@gould.cx>

	0.3.9

2010-07-08  Ted Gould  <ted@gould.cx>

	Fixing signals so that our tests pass

2010-07-08  Ted Gould  <ted@gould.cx>

	Documenting the choices of not having a nice callback func.

2010-07-08  Ted Gould  <ted@gould.cx>

	Use the same function so we know everything is all right.

2010-07-08  Ted Gould  <ted@gould.cx>

	Unreffing the objects in dispose and ensuring we disconnect the signals first.

2010-07-08  Ted Gould  <ted@gould.cx>

	Disconnecting signal before removing from hashtable so we don't try twice.

2010-07-08  Ted Gould  <ted@gould.cx>

	Shutdown services when watchers leave the bus.

2010-07-06  Ted Gould  <ted@gould.cx>

	Creating a callback for the destory signal, but then moving the unwatch into a core function so that we can call it.

2010-07-06  Ted Gould  <ted@gould.cx>

	Actually creating a proxy to see if we can detect the watcher going away.

2010-07-06  Ted Gould  <ted@gould.cx>

	Making ths bus tracked in the private structure

2010-07-06  Ted Gould  <ted@gould.cx>

	Switching the watchers data structure over to a hashtable.

2010-07-06  Ted Gould  <ted@gould.cx>

	Removing unused style check

2010-07-06  Ted Gould  <ted@gould.cx>

	Removing the style lookup that wasn't used.

2010-05-06  Ted Gould  <ted@gould.cx>

	Dummy commit

2010-04-09  Ted Gould  <ted@gould.cx>

	0.3.8

2010-04-09  Ted Gould  <ted@gould.cx>

	Disting the templates.

2010-04-09  Ted Gould  <ted@gould.cx>

	0.3.7

2010-04-09  Ted Gould  <ted@gould.cx>

	Fixing the desktop test to make it more reliable.

2010-04-06  Ted Gould  <ted@gould.cx>

	Translating the shortcuts of the actions based on the desktop file translation domains.

2010-04-06  Ted Gould  <ted@gould.cx>

	Typo

2010-04-05  Ted Gould  <ted@gould.cx>

	Switching to only use the g_dgettext version if the locale_string function doesn't change the string from the normal lookup (and we have a domain to look in).

2010-04-05  Ted Gould  <ted@gould.cx>

	Make it so that we check the GNOME-Gettext-Domain as well

2010-04-02  Ted Gould  <ted@gould.cx>

	If we don't have a domain just use the locale function, otherwise we need to use that domain to get the translation.

2010-04-02  Ted Gould  <ted@gould.cx>

	Adding a private variable for the translation domain and grabbing it from the keyfile.

2010-03-18  Ted Gould  <ted@gould.cx>

	0.3.6

2010-03-17  Ted Gould  <ted@gould.cx>

	Adding the signal for scrolling in the indicator-object

2010-03-17  Cody Russell  <crussell@canonical.com>

	name

2010-03-17  Cody Russell  <crussell@canonical.com>

	Documentation fix.

2010-03-16  Cody Russell  <crussell@canonical.com>

	Use IndicatorScrollDirection instead of gboolean in IndicatorObjectClass->scroll function pointer.

2010-03-16  Cody Russell  <crussell@canonical.com>

	Define IndicatorScrollDirection enum for scroll signal parameter.

2010-03-15  Cody Russell  <crussell@canonical.com>

	Add 'scroll' signal.

2010-03-11  Ted Gould  <ted@gould.cx>

	0.3.5

2010-03-11  Ted Gould  <ted@gould.cx>

	Creating a function to update the icon to a new name.

2010-03-11  Ted Gould  <ted@gould.cx>

	Watching for style changes on the image.

2010-03-11  Ted Gould  <ted@gould.cx>

	Check to see if we've seen the image previously before adding signals in.

2010-03-11  Ted Gould  <ted@gould.cx>

	Splitting things out into an update function and a buid function.

2010-03-10  Ted Gould  <ted@gould.cx>

	Add a small helper for loading images.

2010-03-10  Ted Gould  <ted@gould.cx>

	Adding in a copyright header.

2010-03-10  Ted Gould  <ted@gould.cx>

	A little loader to test to see if we load an icon and what size it is.

2010-03-10  Ted Gould  <ted@gould.cx>

	If we get an icon that is too big, we have to scale it.

2010-03-10  Ted Gould  <ted@gould.cx>

	Doing dynamic size calculation based on the font if we have a prop set telling us to do so.

2010-03-10  Ted Gould  <ted@gould.cx>

	Disconnect from theme update when the image goes away.

2010-03-10  Ted Gould  <ted@gould.cx>

	Setting up the callback for themes changing.

2010-03-10  Ted Gould  <ted@gould.cx>

	Pulled out a bunch of the code into a refresh function for signals.

2010-03-10  Ted Gould  <ted@gould.cx>

	Fleshing out the image loading function.

2010-03-10  Ted Gould  <ted@gould.cx>

	Adding in an image helper library.

2010-02-25  Ted Gould  <ted@gould.cx>

	0.3.4

2010-02-19  Ted Gould  <ted@gould.cx>

	No reason we need newer APIs than this.

2010-02-18  Ted Gould  <ted@gould.cx>

	0.3.3

2010-02-18  Ted Gould  <ted@gould.cx>

	Adding in an object to get shortcuts out of desktop files.

2010-02-16  Ted Gould  <ted@gould.cx>

	Ignoring the touch file for the testing

2010-02-16  Ted Gould  <ted@gould.cx>

	Being more specific about where we should find the touch file for distcheck

2010-02-16  Ted Gould  <ted@gould.cx>

	Disabling debug messages

2010-02-16  Ted Gould  <ted@gould.cx>

	Debug messages.

2010-02-16  Ted Gould  <ted@gould.cx>

	We should look at the other nicks even if this one doesn't work.

2010-02-16  Ted Gould  <ted@gould.cx>

	Shipping our test desktop file

2010-02-16  Ted Gould  <ted@gould.cx>

	Clean up touch file

2010-02-16  Ted Gould  <ted@gould.cx>

	Checking to ensure the right nick is in the list

2010-02-16  Ted Gould  <ted@gould.cx>

	Using the nick directly to make this work better.

2010-02-16  Ted Gould  <ted@gould.cx>

	Wrong identity

2010-02-16  Ted Gould  <ted@gould.cx>

	Forgot to set the type of the desktop file, need to be an Application.

2010-02-16  Ted Gould  <ted@gould.cx>

	Add a test to launch an nick

2010-02-16  Ted Gould  <ted@gould.cx>

	Adding a check to ensure we're getting the right names from the nicks.

2010-02-16  Ted Gould  <ted@gould.cx>

	Making the function not recurse forever.

2010-02-16  Ted Gould  <ted@gould.cx>

	Adding in local filter test functions.

2010-02-16  Ted Gould  <ted@gould.cx>

	Check to ensure a global no show works.

2010-02-16  Ted Gould  <ted@gould.cx>

	Fix group detection to put a space in the name of the group

2010-02-16  Ted Gould  <ted@gould.cx>

	Better name

2010-02-16  Ted Gould  <ted@gould.cx>

	Ignoring the new stuff

2010-02-16  Ted Gould  <ted@gould.cx>

	A backslash off

2010-02-16  Ted Gould  <ted@gould.cx>

	Adding in a basic test desktop file test

2010-02-16  Ted Gould  <ted@gould.cx>

	Create a testing desktop file

2010-02-16  Ted Gould  <ted@gould.cx>

	Refactoring the list checks into their own functions so we can check the desktop group as well.

2010-02-16  Ted Gould  <ted@gould.cx>

	Adding in checking to see if we should be showing this entry.

2010-02-16  Ted Gould  <ted@gould.cx>

	Basic parsing of the files.

2010-02-16  Ted Gould  <ted@gould.cx>

	Checking for our shortcuts key, we don't really want a desktop file without it.

2010-02-16  Ted Gould  <ted@gould.cx>

	Start loading the keyfile.

2010-02-16  Ted Gould  <ted@gould.cx>

	Removing the reading of the desktop file.

2010-02-16  Ted Gould  <ted@gould.cx>

	Identity management with the properties.

2010-02-16  Ted Gould  <ted@gould.cx>

	Some error handling.

2010-02-15  Ted Gould  <ted@gould.cx>

	A basic property system.

2010-02-15  Ted Gould  <ted@gould.cx>

	Fleshing out the exec function which require GIO Unix

2010-02-15  Ted Gould  <ted@gould.cx>

	Fleshing out getting the Name of a shortcut

2010-02-15  Ted Gould  <ted@gould.cx>

	Fleshing out _new and _get_nicks  Both are lovely functions.

2010-02-15  Ted Gould  <ted@gould.cx>

	Getting some new private variables, and making sure they have a full lifecycle.

2010-02-15  Ted Gould  <ted@gould.cx>

	Instanciating the prototypes and making some comments.

2010-02-15  Ted Gould  <ted@gould.cx>

	Letz get ur prototypes

2010-02-15  Ted Gould  <ted@gould.cx>

	Copyright headers

2010-02-15  Ted Gould  <ted@gould.cx>

	Adding in the new object we're building for evaluating desktop shortcuts.

2010-02-04  Ted Gould  <ted@gould.cx>

	0.3.2

2010-02-02  Ted Gould  <ted@gould.cx>

	Fixes to the test suite.

2010-02-02  Ted Gould  <ted@gould.cx>

	Adjusting to new timeout value

2010-02-02  Ted Gould  <ted@gould.cx>

	Switching to 'bash'

2010-02-02  Ted Gould  <ted@gould.cx>

	Adding an printout for saying which display we created.

2010-02-02  Ted Gould  <ted@gould.cx>

	Adding in run-xvfb.sh

2010-02-01  Ted Gould  <ted@gould.cx>

	Better handling of some timeout conditions and more logging.

2010-01-28  Ted Gould  <ted@gould.cx>

	Adding a debug message for restarting the service.

2010-01-28  Ted Gould  <ted@gould.cx>

	Error handling when building our proxies.

2010-01-28  Ted Gould  <ted@gould.cx>

	Changing timeout to be approximatedly 1 second.

2010-01-28  Ted Gould  <ted@gould.cx>

	checking the error field for name callback and printing an error when it fails.

2010-01-28  Ted Gould  <ted@gould.cx>

	In the timeout function mention that we're shutting down, and have an environment variable to stop that.

2010-01-21  Ted Gould  <ted@gould.cx>

	0.3.1

2010-01-21  Ted Gould  <ted@gould.cx>

	When a watch fails we're moving to having that try and restart the startup/connection process again.

2010-01-21  Ted Gould  <ted@gould.cx>

	Adding in tracking of the restart idle function and making sure we don't do it twice.

2010-01-21  Ted Gould  <ted@gould.cx>

	In case we're restarting because of the 'Watch' returning failure we'd have a valid 'service_proxy' object to kill

2010-01-21  Ted Gould  <ted@gould.cx>

	Setting up the watch_cb function so that in errors it'll try to restart.  As most errors will be fixed by trying again.

2010-01-19  Ted Gould  <ted@gould.cx>

	Support for entries having a location and moving that location.

2010-01-18  Ted Gould  <ted@gould.cx>

	Update from trunk.

2010-01-15  Ted Gould  <ted@gould.cx>

	Having the signaller test check the 'moved' signal as well as the others.

2010-01-15  Ted Gould  <ted@gould.cx>

	No error on not having a get_location function.  We'll just return zero.

2010-01-15  Ted Gould  <ted@gould.cx>

	Basic location checking test.

2010-01-15  Ted Gould  <ted@gould.cx>

	Fleshing out the get_location function as much as they're implemented here.

2010-01-15  Ted Gould  <ted@gould.cx>

	Fixing the signal comments.

2010-01-15  Ted Gould  <ted@gould.cx>

	Setting up the move signal, which required custom marshallers.

2010-01-15  Ted Gould  <ted@gould.cx>

	API changes required to have locations for the entries.

2010-01-18  Ted Gould  <ted@gould.cx>

	Adding the code for having the services automatically restart if they crash.

2010-01-15  Ted Gould  <ted@gould.cx>

	It's a fundamental mistake to believe that we can protect people using
	this interface from the disconnection.  We have no information to say
	that the new service starting will come up in the same state as the one
	before it.  We need the individual implementers to verify that.  Now we
	need to fix that.  This commit does so.

2010-01-15  Ted Gould  <ted@gould.cx>

	Handling the connected signal as well, making sure we emit it.

2010-01-15  Ted Gould  <ted@gould.cx>

	Switching what our enviroment variable is for, let's just stop the whole thing instead of playing with it.

2010-01-15  Ted Gould  <ted@gould.cx>

	Setting up the signal for when the proxies falls down, we restart.

2010-01-15  Ted Gould  <ted@gould.cx>

	Filling out the function to start it again, and adding in the function to respond to the timeout.

2010-01-15  Ted Gould  <ted@gould.cx>

	Reset the restart_count when we start, and start to bring in 'start_service_again' to begin to throttle the restarts.

2010-01-15  Ted Gould  <ted@gould.cx>

	Getting a multiplier, and providing a way to override it using an environment variable.

2009-12-10  Ted Gould  <ted@gould.cx>

	0.3.0

2009-12-10  Ted Gould  <ted@gould.cx>

	Adding in license headers.

2009-12-10  Ted Gould  <ted@gould.cx>

	Adding in license headers.

2009-12-07  Ted Gould  <ted@gould.cx>

	Documentation, licenses, and some slight updates.

2009-12-04  Ted Gould  <ted@gould.cx>

	GPLv3 copyright headers.

2009-12-04  Ted Gould  <ted@gould.cx>

	Implemented the _connected function as it's silly that it wasn't.

2009-12-04  Ted Gould  <ted@gould.cx>

	More gtk-doc comments.

2009-12-03  Ted Gould  <ted@gould.cx>

	Adding in some comments and a little bit of code cleanup.

2009-12-03  Ted Gould  <ted@gould.cx>

	Putting in comments for the functions.

2009-12-03  Ted Gould  <ted@gould.cx>

	Service version numbers.

2009-12-07  Ted Gould  <ted@gould.cx>

	Add in support for sevice API versions.

2009-12-07  Ted Gould  <ted@gould.cx>

	Fixing a typo in the error message -- noticed by David Barth.

2009-12-03  Ted Gould  <ted@gould.cx>

	Adding a weak pointer to the service proxy.

2009-12-03  Ted Gould  <ted@gould.cx>

	Switching unwatch to being a no_reply function call.

2009-12-03  Ted Gould  <ted@gould.cx>

	Full signal handlers so that we can see everything.

2009-12-02  Ted Gould  <ted@gould.cx>

	Merge in from trunk, now two failing tests.

2009-12-02  Ted Gould  <ted@gould.cx>

	Forgot to delete the programs.

2009-12-02  Ted Gould  <ted@gould.cx>

	Actually checking the version and erroring on it.

2009-12-02  Ted Gould  <ted@gould.cx>

	Specifying who can't get the session bus.

2009-12-02  Ted Gould  <ted@gould.cx>

	Printing out the session bus address

2009-12-02  Ted Gould  <ted@gould.cx>

	Changing the names we're registering for to be correct.

2009-12-02  Ted Gould  <ted@gould.cx>

	Not erroring when we're supposed to pass.

2009-12-02  Ted Gould  <ted@gould.cx>

	Adding a log domain for error messages

2009-12-02  Ted Gould  <ted@gould.cx>

	Adding a new test to look at version numbers.

2009-12-02  Ted Gould  <ted@gould.cx>

	Adding _new functions that include the version number in them.

2009-12-02  Ted Gould  <ted@gould.cx>

	Sending a version number for the local service.

2009-12-01  Ted Gould  <ted@gould.cx>

	Adding a property for version.

2009-12-01  Ted Gould  <ted@gould.cx>

	Change the watch function to return both an API version and a user set version.

2009-12-03  Ted Gould  <ted@gould.cx>

	Patch to fix autogen.sh

2009-12-03  Cody Russell  <crussell@canonical.com>

	Fix autogen.sh so parameters are passed

2009-12-02  Ted Gould  <ted@gould.cx>

	Adding an unwatch command to allow for graceful disconnection from a service if we're not interested in it.

2009-12-01  Ted Gould  <ted@gould.cx>

	Only getting the bus once.

2009-12-01  Ted Gould  <ted@gould.cx>

	Trying to get a proxy before starting the service every time.  If it exists, let's use it.

2009-12-01  Ted Gould  <ted@gould.cx>

	New files to ignore.

2009-12-01  Ted Gould  <ted@gould.cx>

	Adding a test to ensure that a service gets shutdown by someone unwatching it.

2009-12-01  Ted Gould  <ted@gould.cx>

	Checking to make sure we don't get connected twice, that'd be an error.

2009-12-01  Ted Gould  <ted@gould.cx>

	Updating connection prototype to get all the data.

2009-12-01  Ted Gould  <ted@gould.cx>

	Making the timeout a failure case, and making it so that we want a graceful shutdown.

2009-12-01  Ted Gould  <ted@gould.cx>

	Unwatching if we have mismatched version.

2009-12-01  Ted Gould  <ted@gould.cx>

	When destroying the object we tell the watched service that we're not watching it.

2009-12-01  Ted Gould  <ted@gould.cx>

	Using the define for the version on both sides

2009-12-01  Ted Gould  <ted@gould.cx>

	Finding the watcher and removing him from the list.

2009-12-01  Ted Gould  <ted@gould.cx>

	Add an unwatch function with a basic handler.

2009-11-24  Ted Gould  <ted@gould.cx>

	Adding in a small tool to test loading of indicators on the command line. (easier development)

2009-11-24  Ted Gould  <ted@gould.cx>

	Adding support for removing entries

2009-11-24  Ted Gould  <ted@gould.cx>

	Stopping the app when the window closes.

2009-11-24  Ted Gould  <ted@gould.cx>

	Grabbing the entry added function as well, didn't realize how much it did :)

2009-11-24  Ted Gould  <ted@gould.cx>

	Showing the menubar and window

2009-11-24  Ted Gould  <ted@gould.cx>

	Adding a small little tool to load an indicator from the command line.

2009-11-05  Ted Gould  <ted@canonical.com>

	64-bit fix in that GTypes are not ints on 64-bit

2009-11-05  Ted Gould  <ted@canonical.com>

	Changing the indicator-object API to support indicators that have multiple entries, and are dynamic.

2009-11-04  Ted Gould  <ted@canonical.com>

	Changing the include directory as well.

2009-11-04  Ted Gould  <ted@canonical.com>

	Moving everything up to '3' as we're breaking everyone pretty bad at this point.

2009-11-04  Ted Gould  <ted@canonical.com>

	Updating to current trunk.

2009-11-04  Ted Gould  <ted@canonical.com>

	Use close instead of unreffing.

2009-11-04  Ted Gould  <ted@canonical.com>

	Adding a simple indicator test that checks to make sure we can signal up the stack.

2009-11-04  Ted Gould  <ted@canonical.com>

	Building a dummy indicator that signals.

2009-11-04  Ted Gould  <ted@canonical.com>

	Using the proper define for the type.

2009-11-03  Ted Gould  <ted@canonical.com>

	Adding in some ID helpers.

2009-11-03  Ted Gould  <ted@canonical.com>

	Adding in some signals to make for some more fun.

2009-11-03  Ted Gould  <ted@canonical.com>

	Updating to current trunk.

2009-11-03  Ted Gould  <ted@canonical.com>

	Changing the way the module is free'd

2009-11-03  Ted Gould  <ted@canonical.com>

	Having the test expect an object, but fail when calling the functions.

2009-11-03  Ted Gould  <ted@canonical.com>

	Make the tester dynamically link the lib so that there's not two versions of everything.

2009-11-03  Ted Gould  <ted@canonical.com>

	Linking the indicators with the libindicator library.

2009-11-03  Ted Gould  <ted@canonical.com>

	Switching to checking the entires list instead of individual functions.

2009-11-03  Ted Gould  <ted@canonical.com>

	Converting the dummy indicators over to the new API.  They compile now.

2009-11-03  Ted Gould  <ted@canonical.com>

	Typo

2009-11-03  Ted Gould  <ted@canonical.com>

	Creating the actual backing function for indicator_object_get_entries.

2009-11-03  Ted Gould  <ted@canonical.com>

	Adding in a default handler for get_entries.

2009-11-03  Ted Gould  <ted@canonical.com>

	Whew, blew up the interface and built it back again.

2009-11-03  Ted Gould  <ted@canonical.com>

	Redefining the interface.  Now this object should get subclassed by folks.

2009-11-03  Ted Gould  <ted@canonical.com>

	Removing the instance object.  I think that we can do everything we need by using the object.

2009-11-03  Ted Gould  <ted@canonical.com>

	Switching to a set_type function instead of making people do that themselves.

2009-11-03  Ted Gould  <ted@canonical.com>

	Adding in the basis for the instance class.

2009-11-03  Ted Gould  <ted@canonical.com>

	Stripping out the symbols for the old stuff, and going with the new of just getting a type.

2009-11-03  Ted Gould  <ted@canonical.com>

	We need atleast the loader branch as that's what we want to change.

2009-11-03  Ted Gould  <ted@canonical.com>

	Adding a service management interface into libindicators as many will use that.

2009-11-03  Ted Gould  <ted@canonical.com>

	Making a warning not use a colloquialism.

2009-11-03  Ted Gould  <ted@canonical.com>

	Changing version to service_version

2009-11-03  Ted Gould  <ted@canonical.com>

	Syncing up with trunk before merging.

2009-11-02  Ted Gould  <ted@canonical.com>

	Oops, we need to tell package config that we're a big library now.

2009-11-02  Ted Gould  <ted@canonical.com>

	Distcheck fixes.  Looking for the files in the right place and making sure we clean up after ourselves.

2009-11-02  Ted Gould  <ted@canonical.com>

	We should pass the test if we get a connection, it means we activated.

2009-11-02  Ted Gould  <ted@canonical.com>

	We want to not get the shutdown.  Since we're testing that we get it without connection we can now assume that if we don't get it we should pass.

2009-11-02  Ted Gould  <ted@canonical.com>

	Adding a fallback to the session bus after trying the starter bus.

2009-11-02  Ted Gould  <ted@canonical.com>

	Switching the name to match the service file... should fail.

2009-11-02  Ted Gould  <ted@canonical.com>

	Building a service file.

2009-11-02  Ted Gould  <ted@canonical.com>

	Adding in the basic data needed to start bringing up a test to start the service.

2009-11-02  Ted Gould  <ted@canonical.com>

	Fixing up the build rules so that they're directory independent.

2009-11-02  Ted Gould  <ted@canonical.com>

	Some things are errors that should really be warnings.

2009-11-02  Ted Gould  <ted@canonical.com>

	Ah, we can't throw an error on success.

2009-10-30  Ted Gould  <ted@canonical.com>

	Adding a test that ensures we don't get a connect signal.

2009-10-30  Ted Gould  <ted@canonical.com>

	Adding in the connected property and signalling when we're all hooked up.

2009-10-29  Ted Gould  <ted@canonical.com>

	A service proxy, and then calling watch.

2009-10-29  Ted Gould  <ted@canonical.com>

	Building the dbus proxy and using it a little bit.

2009-10-29  Ted Gould  <ted@canonical.com>

	Ah, forgot to free name

2009-10-29  Ted Gould  <ted@canonical.com>

	Properties functions.

2009-10-29  Ted Gould  <ted@canonical.com>

	Signals and properties, oh my! 

2009-10-29  Ted Gould  <ted@canonical.com>

	Adding the API functions.

2009-10-29  Ted Gould  <ted@canonical.com>

	Oops, forgot to set to passed.

2009-10-29  Ted Gould  <ted@canonical.com>

	Sending shutdown signal 500 ms after getting a name if we have no watchers.

2009-10-29  Ted Gould  <ted@canonical.com>

	Adding in the watchers and timeout parameter.

2009-10-29  Ted Gould  <ted@canonical.com>

	Adding in some shared strings for finding intefaces and objects.

2009-10-29  Ted Gould  <ted@canonical.com>

	Woot!  We're a DBus service now.

2009-10-29  Ted Gould  <ted@canonical.com>

	Building ourselves a DBus proxy.

2009-10-29  Ted Gould  <ted@canonical.com>

	Filling in more of the name property.

2009-10-29  Ted Gould  <ted@canonical.com>

	Adding in the 'name' property

2009-10-29  Ted Gould  <ted@canonical.com>

	Adding the shutdown signal

2009-10-29  Ted Gould  <ted@canonical.com>

	Woot!  A failing test.  Look how TDD I am.

2009-10-29  Ted Gould  <ted@canonical.com>

	Making the gtester stuff into a autotest thingy.

2009-10-29  Ted Gould  <ted@canonical.com>

	Creating a new test and linking it into things.

2009-10-29  Ted Gould  <ted@canonical.com>

	Putting a dummy implementation in for _new for linking

2009-10-29  Ted Gould  <ted@canonical.com>

	Adding basic interfaces and docs to IndicatorService

2009-10-29  Ted Gould  <ted@canonical.com>

	Defining some API and boot strapping documentation.

2009-10-29  Ted Gould  <ted@canonical.com>

	Making 'INDICATOR' the prefix for the objects.

2009-10-29  Ted Gould  <ted@canonical.com>

	Putting in some templated objects.

2009-10-28  Ted Gould  <ted@canonical.com>

	Building ourselves a little dbus spec

2009-10-28  Ted Gould  <ted@canonical.com>

	Adding a description for the indicator service.

2009-10-28  Ted Gould  <ted@canonical.com>

	Grabbing the loader branch

2009-11-03  Ted Gould  <ted@canonical.com>

	Merging in an interface for loading modules cleanly.

2009-11-03  Ted Gould  <ted@canonical.com>

	Changing comment on private struct.

2009-11-03  Ted Gould  <ted@canonical.com>

	Typo

2009-11-03  Ted Gould  <ted@canonical.com>

	Comments in the copyright statements updated.

2009-10-28  Ted Gould  <ted@canonical.com>

	Removing valgrind as I want to clean this branch up and make another for that.

2009-10-28  Ted Gould  <ted@canonical.com>

	Oh, legal headers.  Fun, fun.

2009-10-28  Ted Gould  <ted@canonical.com>

	Adding in comments.

2009-10-14  Ted Gould  <ted@canonical.com>

	Adding in check for valgrind that we'll need for the test tools.

2009-10-11  Ted Gould  <ted@canonical.com>

	Adding the terballs into ignore

2009-10-11  Ted Gould  <ted@canonical.com>

	Making a tools directory

2009-10-11  Ted Gould  <ted@canonical.com>

	using the blank dummy indicator

2009-10-11  Ted Gould  <ted@canonical.com>

	Building a new dummy indicator that doesn't have any symbols in it.

2009-10-08  Ted Gould  <ted@canonical.com>

	Testing the accessors

2009-10-08  Ted Gould  <ted@canonical.com>

	Adding some accessor functions for the various GTK objects.

2009-10-08  Ted Gould  <ted@canonical.com>

	Maintaining a reference to the objects we create in the object.

2009-10-08  Ted Gould  <ted@canonical.com>

	We need to use GTK.

2009-10-08  Ted Gould  <ted@canonical.com>

	A better dummy menu.

2009-10-08  Ted Gould  <ted@canonical.com>

	Create a very simple indicator and testing it.

2009-10-08  Ted Gould  <ted@canonical.com>

	Being a bit more verbose

2009-10-08  Ted Gould  <ted@canonical.com>

	Making it so that the null test checks for failure as we shoudln't have a null image and label.  Also making it so that warnings don't cause the test to fail.

2009-10-08  Ted Gould  <ted@canonical.com>

	Making it so that we use the same unref code as everyone else.

2009-10-08  Ted Gould  <ted@canonical.com>

	Truth again.  Keeps bitting back.  I shouldn't of lied in the 2nd grade, I confess!  No more, please.

2009-10-08  Ted Gould  <ted@canonical.com>

	Checking to see if a file exists before trying to load it.

2009-10-08  Ted Gould  <ted@canonical.com>

	Truth.  Sucks.

2009-10-08  Ted Gould  <ted@canonical.com>

	Turning all the return if fails into proper if's with warning and unref the object so there aren't any memory leaks.

2009-10-08  Ted Gould  <ted@canonical.com>

	Use the new build dir flag

2009-10-08  Ted Gould  <ted@canonical.com>

	Build dir fix and making gtester run all of them even if one fails.

2009-10-08  Ted Gould  <ted@canonical.com>

	Making it so that we're not using g_return_if_fail as it messes up the test suite.

2009-10-08  Ted Gould  <ted@canonical.com>

	Fleshing out the load from file function.  Still fails.

2009-10-08  Ted Gould  <ted@canonical.com>

	A test to load the dummy indicator

2009-10-08  Ted Gould  <ted@canonical.com>

	Apparently they have to be installable to get the .so.  Fail.

2009-10-08  Ted Gould  <ted@canonical.com>

	Adding a test that should pass as given a bad filename we should get no object back.

2009-10-08  Ted Gould  <ted@canonical.com>

	Adding a function to create an object from a file

2009-10-08  Ted Gould  <ted@canonical.com>

	Creating a dummy indicator that returns null

2009-10-08  Ted Gould  <ted@canonical.com>

	Switch from GLib to GTK as that's what we really needed.

2009-10-08  Ted Gould  <ted@canonical.com>

	Using a weak ref instead of connecting to a signal that doesn't exist

2009-10-08  Ted Gould  <ted@canonical.com>

	Putting data in the private

2009-10-08  Ted Gould  <ted@canonical.com>

	Test to build the object and unref it.

2009-10-08  Ted Gould  <ted@canonical.com>

	Fleshing out the test a little bit.

2009-10-08  Ted Gould  <ted@canonical.com>

	Adding in a simple little test.

2009-10-08  Ted Gould  <ted@canonical.com>

	Adding in a tests folder

2009-10-08  Ted Gould  <ted@canonical.com>

	Ignoring our new file.

2009-10-06  Ted Gould  <ted@canonical.com>

	Adding some pkg-config love to get things compiling all nice like.

2009-10-06  Ted Gould  <ted@canonical.com>

	Building a base object.

2009-10-08  Ted Gould  <ted@canonical.com>

	0.2.1

2009-10-06  Ted Gould  <ted@canonical.com>

	Adding license information to the header

2009-10-06  Ted Gould  <ted@canonical.com>

	oops, should be GPLv3 not LGPLv3

2009-10-06  Ted Gould  <ted@canonical.com>

	Header for the header file that has the LGPLv3

2009-09-10  Ted Gould  <ted@canonical.com>

	Making 0.2.0

2009-08-19  Ted Gould  <ted@canonical.com>

	Using AM 1.11 silent mode

2009-08-18  Ted Gould  <ted@canonical.com>

	Deleting everything only leaving libindicator

2009-08-08  Ted Gould  <ted@canonical.com>

	Adding an icons directory to the .pc file

2009-08-07  Ted Gould  <ted@canonical.com>

	Merging in the branch making two applets.

2009-08-07  Ted Gould  <ted@canonical.com>

	Changing the Bonobo server description file name to match that of FUSA.

2009-08-07  Ted Gould  <ted@canonical.com>

	Oops, we need more identity.

2009-08-07  Ted Gould  <ted@canonical.com>

	Switching the name to the proper server file.

2009-08-07  Ted Gould  <ted@canonical.com>

	Loading only the SUS plugin.

2009-08-07  Ted Gould  <ted@canonical.com>

	Blocking out SUS from standard applet.

2009-08-07  Ted Gould  <ted@canonical.com>

	Fixing the generation rules for the bonobo server files.

2009-08-07  Ted Gould  <ted@canonical.com>

	Ignoring more files.

2009-08-07  Ted Gould  <ted@canonical.com>

	Switching the name to actually be correct.

2009-08-07  Ted Gould  <ted@canonical.com>

	Changing the name of the directory to -sus which makes more sense

2009-08-07  Ted Gould  <ted@canonical.com>

	New executable name

2009-08-07  Ted Gould  <ted@canonical.com>

	Renaming the server file

2009-08-07  Ted Gould  <ted@canonical.com>

	Adjusting the namespace.  Just to make things fun like that.

2009-08-07  Ted Gould  <ted@canonical.com>

	Making the schema translatable

2009-08-07  Ted Gould  <ted@canonical.com>

	Adding a new server to connect with our new applet.  Still needs changes as it's just a copy.

2009-08-07  Ted Gould  <ted@canonical.com>

	Adding a new build target for our new applet

2009-08-07  Ted Gould  <ted@canonical.com>

	Adding the new src to the build system

2009-08-07  Ted Gould  <ted@canonical.com>

	New src entry

2009-08-06  Ted Gould  <ted@canonical.com>

	Aurelien's patch to add a set_server function to indicators.

2009-08-06  Aurelien Gateau  <aurelien.gateau@canonical.com>

	Updated documentation

2009-08-05  Aurelien Gateau  <aurelien.gateau@canonical.com>

	Introduce indicate_indicator_set_server() so that server can be defined for
	message indicators too.

2009-08-05  Ted Gould  <ted@canonical.com>

	Maintaining the count independent of the entires.

2009-08-04  Ted Gould  <ted@canonical.com>

	Update the pc file from the GTK split out.

2009-08-04  Ted Gould  <ted@canonical.com>

	Merging in the splitout of a GTK version of the lib

2009-08-04  Ted Gould  <ted@canonical.com>

	Adding libindicate a build include

2009-08-04  Ted Gould  <ted@canonical.com>

	Removing some more noise

2009-08-04  Ted Gould  <ted@canonical.com>

	Ignoring the tarball

2009-08-04  Ted Gould  <ted@canonical.com>

	Ignoring the right file

2009-08-04  Ted Gould  <ted@canonical.com>

	Making seperate versioning for libindicate-gtk

2009-08-04  Ted Gould  <ted@canonical.com>

	Bumping the version as we removed a function.

2009-08-04  Ted Gould  <ted@canonical.com>

	A bunch of distcheck fixes to clean things up

2009-08-03  Ted Gould  <ted@canonical.com>

	Some odd change

2009-08-03  Ted Gould  <ted@canonical.com>

	Last libgtk-pixbuf header

2009-08-03  Ted Gould  <ted@canonical.com>

	Removing GTK dependencies from the libindicate stuff

2009-08-03  Ted Gould  <ted@canonical.com>

	Fixing these guys to include the -gtk library where needed

2009-08-03  Ted Gould  <ted@canonical.com>

	Some ignore files for fun

2009-08-03  Ted Gould  <ted@canonical.com>

	Oops, forgot the listener stuff

2009-08-03  Ted Gould  <ted@canonical.com>

	Moving the listener code and some indicator code into libindicate-gtk

2009-08-03  Ted Gould  <ted@canonical.com>

	Okay, now it is the offending function in it.

2009-08-03  Ted Gould  <ted@canonical.com>

	Creating a default little GTK library to move the GTK stuff in

2009-08-03  Ted Gould  <ted@canonical.com>

	Adding a function to set the server of the indicator upon creation.  indicate_indicator_new_with_server()

2009-08-03  Ted Gould  <ted@canonical.com>

	Merging in changes to the destroy and removing a warning.

2009-07-27  Aurelien Gateau  <aurelien.gateau@canonical.com>

	Removed warning: it's annoying in unittests.

2009-07-27  Aurelien Gateau  <aurelien.gateau@canonical.com>

	Destroy dbus proxies in listener finalize.
	
	Makes it possible to destroy a listener and recreate one without calling the
	old instance callbacks (useful for unit-tests).

2009-08-03  Ted Gould  <ted@canonical.com>

	Ignoring built files

2009-07-21  Ted Gould  <ted@canonical.com>

	Fixing the other signal marshallers

2009-07-21  Ted Gould  <ted@canonical.com>

	Using the server marshaller

2009-07-21  Ted Gould  <ted@canonical.com>

	Creating the server marshallers that we need

2009-07-21  Ted Gould  <ted@canonical.com>

	Oops, we shouldn't have a prototype for a function that doesn't exist.  Thanks to Aurilien.

2009-07-03  Ted Gould  <ted@canonical.com>

	Configure change to cleanup output

2009-07-03  Ted Gould  <ted@canonical.com>

	A little like mentioned on the GNOME Wiki, but doesn't work until I have a higher version of automake.  Doesn't seem to cause problems though.

2009-06-08  Ted Gould  <ted@canonical.com>

	Patch from Mark Trompell to make suffix checking better.

2009-05-05  Ted Gould  <ted@canonical.com>

	Merging in the documentation branch.

2009-04-30  Ted Gould  <ted@canonical.com>

	Never understand this file really.

2009-04-30  Ted Gould  <ted@canonical.com>

	Fixing function listing

2009-04-30  Ted Gould  <ted@canonical.com>

	Fixing typo

2009-04-30  Ted Gould  <ted@canonical.com>

	Fixing some documentation bugs.

2009-04-30  Ted Gould  <ted@canonical.com>

	Documenting most of the public visible functions

2009-04-30  Ted Gould  <ted@canonical.com>

	Adding in arguments for the signals

2009-04-30  Ted Gould  <ted@canonical.com>

	Adding in arguments on the signal docs.

2009-04-30  Ted Gould  <ted@canonical.com>

	Woot, signal documentation works now.

2009-04-30  Ted Gould  <ted@canonical.com>

	Basic signals docs.

2009-04-30  Ted Gould  <ted@canonical.com>

	Server section documentation.

2009-04-30  Ted Gould  <ted@canonical.com>

	Comments for the class, who put all those functions on there...

2009-04-30  Ted Gould  <ted@canonical.com>

	Adding in message documentation and cleaning up some mistakes as I see them.

2009-04-30  Ted Gould  <ted@canonical.com>

	Never understand this file

2009-04-30  Ted Gould  <ted@canonical.com>

	Doing a better job about defining out the documentation gets
	created and looks.  Much cleaner.

2009-04-30  Ted Gould  <ted@canonical.com>

	Breaking out into sections.

2009-04-30  Ted Gould  <ted@canonical.com>

	Section information

2009-04-30  Ted Gould  <ted@canonical.com>

	Adding to the unused side of things.

2009-04-30  Ted Gould  <ted@canonical.com>

	Removing the big defines that aren't useful and the boilerplate get_type functions.

2009-04-30  Ted Gould  <ted@canonical.com>

	Reformatting to make gtk-doc happy.

2009-04-30  Ted Gould  <ted@canonical.com>

	Making it more like English and less like a pointer table.

2009-04-30  Ted Gould  <ted@canonical.com>

	Adding in IndicateIndicatorClass documentation.

2009-04-30  Ted Gould  <ted@canonical.com>

	What is the server

2009-04-30  Ted Gould  <ted@canonical.com>

	Typo

2009-04-30  Ted Gould  <ted@canonical.com>

	Getting most of the indicator documentation in the pool.

2009-04-30  Ted Gould  <ted@canonical.com>

	Turns out that gtk-doc can't have the name of the function on the same line as the start of the comment.  How stupid.

2009-04-30  Ted Gould  <ted@canonical.com>

	Removing symbols that shouldn't be in the docs anyway.

2009-04-30  Ted Gould  <ted@canonical.com>

	Ignoring the dbus and glib-marshaller generated header files.

2009-04-30  Ted Gould  <ted@canonical.com>

	Dispaly typo

2009-04-30  Ted Gould  <ted@canonical.com>

	First pass at trying to create some function documentation for Indicator

2009-04-29  Ted Gould  <ted@canonical.com>

	Patch from Niel Patel to close the directory after opening it.

2009-04-29  Ted Gould  <ted@canonical.com>

	Patch from Niel Patel to close the directory after opening it.

2009-04-27  Ted Gould  <ted@canonical.com>

	How important a simple backslash is :) 

2009-04-27  Ted Gould  <ted@canonical.com>

	Merging in the testing branch to get some tests for this guy

2009-04-27  Ted Gould  <ted@canonical.com>

	Switching to system dbus-test-runner

2009-04-20  Ted Gould  <ted@canonical.com>

	Adding a test to build a bunch of indicators

2009-04-20  Ted Gould  <ted@canonical.com>

	Adding in multiple servers connecting in to declare interest test

2009-04-20  Ted Gould  <ted@canonical.com>

	Expanding range of interest test and not checking to see if we got none, we shouldn't get it.

2009-04-20  Ted Gould  <ted@canonical.com>

	Gaurding against setting bad interests

2009-04-20  Ted Gould  <ted@canonical.com>

	Adding an interests test

2009-04-20  Ted Gould  <ted@canonical.com>

	Woot, now we do distcheck too

2009-04-20  Ted Gould  <ted@canonical.com>

	Distcheck fixes

2009-04-20  Ted Gould  <ted@canonical.com>

	Adding in a simple test

2009-04-20  Ted Gould  <ted@canonical.com>

	Build infrastructure for first test

2009-04-20  Ted Gould  <ted@canonical.com>

	Moving tests to examples

2009-04-22  Ted Gould  <ted@canonical.com>

	Get the submenu set right.

2009-04-22  Ted Gould  <ted@canonical.com>

	Slipping in the hbox

2009-04-22  Ted Gould  <ted@canonical.com>

	Oops, cut and paste error, pulling up the wrong symbols

2009-04-22  Ted Gould  <ted@canonical.com>

	Turning versions into a function and adding a name symbol.  Not yet used though.

2009-04-22  Ted Gould  <ted@canonical.com>

	Wow, the genius of making a symbol you want to export static is simply amazing.  It's truly a wonder of nature that I can tie my shoes in the morning.

2009-04-22  Ted Gould  <ted@canonical.com>

	Oops, not what I wanted.  These should have been prototypes not global variables.  Takes a second to think about it, but yeah, that's what they were.

2009-04-22  Ted Gould  <ted@canonical.com>

	Forgot a + on gtk

2009-04-21  Ted Gould  <ted@canonical.com>

	Changing to an icon and a lable and building our own item

2009-04-21  Ted Gould  <ted@canonical.com>

	Putting in and checking version information to ensure we all agree about the header version

2009-04-21  Ted Gould  <ted@canonical.com>

	Fixing and using the new indicator header.  This will help to connect things together and make them actually work in a reasonably type safe way.

2009-04-21  Ted Gould  <ted@canonical.com>

	Moving the indicators directory to match libindicator

2009-04-21  Ted Gould  <ted@canonical.com>

	Setting the indicators directory manually

2009-04-21  Ted Gould  <ted@canonical.com>

	Creating an indicator lib to make sure we can attach all these things together.

2009-04-20  Ted Gould  <ted@canonical.com>

	Chaning the include so that it works for make distcheck

2009-04-13  Ted Gould  <ted@canonical.com>

	Adding in support for finding out if people are interesting on the bus using introspection instead of sending a random function call to them and seeing what happens.

2009-04-13  Ted Gould  <ted@canonical.com>

	Commenting out some debug messages

2009-04-13  Ted Gould  <ted@canonical.com>

	Less debug

2009-04-13  Ted Gould  <ted@canonical.com>

	Ah, a typo.  Bother.

2009-04-13  Ted Gould  <ted@canonical.com>

	Okay, connected into that other there code... let's see what happens.

2009-04-13  Ted Gould  <ted@canonical.com>

	Fleshing out some

2009-04-13  Ted Gould  <ted@canonical.com>

	Whoa, it like builds and stuff

2009-04-12  Ted Gould  <ted@canonical.com>

	Updating from trunk

2009-04-12  Ted Gould  <ted@canonical.com>

	Proto-pseudo-code for the introspection functions that are going to be needed

2009-04-10  Ted Gould  <ted@canonical.com>

	Adding in libxml linking

2009-04-13  Ted Gould  <ted@canonical.com>

	Fixes to the finalize functions.

2009-04-13  Ted Gould  <ted@canonical.com>

	Making into a 6

2009-04-13  Ted Gould  <ted@canonical.com>

	Adding a bug number

2009-04-13  Ted Gould  <ted@canonical.com>

	Adding in call to the parent class' finalize function as well, this should free all the way up to the top.

2009-04-12  Ted Gould  <ted@canonical.com>

	Some slight code cleanups to remove warnings

2009-04-11  Ted Gould  <ted@canonical.com>

	Fixing some pedantic little bugs to try and figure out what's causing 359018

2009-04-10  Ted Gould  <ted@canonical.com>

	Dummy to put bug number in.

2009-04-10  Ted Gould  <ted@canonical.com>

	Create the virtual function for checking interest.

2009-04-10  Ted Gould  <ted@canonical.com>

	Merging in Eitan's gtype-ify of the enums and the IndicateListener... objects.

2009-04-10  Eitan Isaacson  <eitan@ascender.com>

	gtypify IndicateListenerIndicator

2009-04-10  Eitan Isaacson  <eitan@ascender.com>

	changed IndicateListenerServer to a gtyped pointer instead of a gboxed.

2009-04-08  Eitan Isaacson  <eitan@ascender.com>

	Changed marshallers to GBoxed for IndicatorListenerServer.
	Make copy/free functions empty for now.

2009-04-08  Eitan Isaacson  <eitan@ascender.com>

	GBoxed IndicateListenerServer

2009-04-08  Eitan Isaacson  <eitan@ascender.com>

	gtypified the interests enum.

2009-04-10  Ted Gould  <ted@canonical.com>

	Marking the dev branch as such.

2009-04-07  Ted Gould  <ted@canonical.com>

	Added in an 'icon-name' to make the about dialog have a proper icon.

2009-04-07  Ted Gould  <ted@canonical.com>

	Clearing another warning.  Shame gdk doesn't do this one for us.

2009-04-07  Ted Gould  <ted@canonical.com>

	Patch from Eitan Isaacson to correct prototype.  Had to be adjusted slightly as the prototypes had moved.

2009-04-07  Ted Gould  <ted@canonical.com>

	Ignoring our new test

2009-04-07  Ted Gould  <ted@canonical.com>

	Patch from Eitan Isaacson to remove a ref/unref infinite loop that effectively made it so that we kept our objects forever.  While we love them, at some point we need to say goodbye.

2009-04-07  Ted Gould  <ted@canonical.com>

	Making it so that we don't register the object twice.  This is really
	a work around, but it's atleast fixes the crasher.  Which sucked.  We
	need to work with the dbus folks to make this better.

2009-04-07  Ted Gould  <ted@canonical.com>

	Adding show hide server test from Eitan on bug 351537

2009-04-07  Ted Gould  <ted@canonical.com>

	I finally understood what seb128 told me about the version numbering.
	I feel so stupid for not understanding before :)

2009-04-07  Ted Gould  <ted@canonical.com>

	Hiding some debugging messages.

2009-04-07  Ted Gould  <ted@canonical.com>

	Simplifying error message

2009-04-06  Ted Gould  <ted@canonical.com>

	* Some debug messages
	* Making the comparison of interests detect changings properly
	* Correctly use g_list_remove in several cases making for long lists
	* Using g_list_prepend instead of append because it's faster.
	* Checking whether we've got proxies before destroying them.

2009-04-03  Ted Gould  <ted@canonical.com>

	Moving private interests out of the public header file.

2009-04-03  Ted Gould  <ted@canonical.com>

	Not quite sure how these got added, but I'm not going to
	fight it.

2009-04-03  Ted Gould  <ted@canonical.com>

	Trying to get to a sane state.  I apparently don't know as much
	about library versioning as I thought I did.

2009-04-03  Ted Gould  <ted@canonical.com>

	Hiding all of the functions that part of the DBus interface in that
	now they're all prefixed with '_' so that they don't get exported
	as part of the library symbols.  This should simplify everything a
	little bit for implementors.

2009-04-03  Ted Gould  <ted@canonical.com>

	Getting rid of everything starting with 'd'.  This gets rid of the dbus stuff that isn't set up to be static, which is silly.

2009-04-03  Ted Gould  <ted@canonical.com>

	Hiding the marshsallers from the libraries in the symbols by adding a _ in front of them.

2009-04-03  Ted Gould  <ted@canonical.com>

	Cleaning up the exported symbols, make sure that 'get_type_cb' isn't exported

2009-04-03  Ted Gould  <ted@canonical.com>

	Getting to version 0.2.0

2009-04-03  Ted Gould  <ted@canonical.com>

	Trying to have more style information included so that we can get rid of the focus line.

2009-04-03  Ted Gould  <ted@canonical.com>

	Adding interests on new servers saying that we're displaying the indicators and in the server.

2009-04-03  Ted Gould  <ted@canonical.com>

	Fleshing out the functions in the listener to set interests.

2009-04-02  Ted Gould  <ted@canonical.com>

	Putting in some protection from crazy values

2009-04-02  Ted Gould  <ted@canonical.com>

	Hiding debug

2009-04-02  Ted Gould  <ted@canonical.com>

	Adding a bunch of debugging messages and fixing the lifecycle for the folk pointer.  Lots'o'fun.  But things seem to be working.

2009-04-02  Ted Gould  <ted@canonical.com>

	Filling in the dbus owner changing code.  Now we should catch those.

2009-04-02  Ted Gould  <ted@canonical.com>

	Adding printouts for interest changes.

2009-04-02  Ted Gould  <ted@canonical.com>

	Connecting in the DBus messaging that we need.

2009-04-02  Ted Gould  <ted@canonical.com>

	Fleshing out the interest setting and removing functions.

2009-04-02  Ted Gould  <ted@canonical.com>

	Updating unused file

2009-04-02  Ted Gould  <ted@canonical.com>

	Adding in folks support.

2009-04-02  Ted Gould  <ted@canonical.com>

	Adding the interest removed and interest added signals in.

2009-04-02  Ted Gould  <ted@canonical.com>

	Woot!  Now we have some real functions to call!

2009-04-02  Ted Gould  <ted@canonical.com>

	I can't believe I messed up this one.  Luckily it doesn't seem to have
	caused any bugs.  Man.

2009-04-02  Ted Gould  <ted@canonical.com>

	Switching around the show_interest and remove_interest functions so that
	they are now asyncronous.  Not that being asynchronous is important but
	more that now they get the Method Invocation interface that we can use
	to find out the sender of the message.  Changed various APIs as a result
	of this, and moved the DBus functions to be internal.

2009-04-01  Ted Gould  <ted@canonical.com>

	Adding new functions show_interest and remove_interest into the API.  Now to fill in the backend.

2009-04-01  Ted Gould  <ted@canonical.com>

	Adding a remove and show interest

2009-04-01  Ted Gould  <ted@canonical.com>

	Change the API so it's more like we're keeping a list of what, and who are interested in.  This'll make it easier for us to manage all the DBus nastyness.

2009-04-01  Ted Gould  <ted@canonical.com>

	Adding stuff to ignore, much better

2009-04-01  Ted Gould  <ted@canonical.com>

	Misspelling

2009-04-01  Ted Gould  <ted@canonical.com>

	Getting some interests in the game.

2009-04-01  Ted Gould  <ted@canonical.com>

	Switch to searching on the connection, which is really what we care about and the proxy is a poor sustitute for.

2009-04-01  Ted Gould  <ted@canonical.com>

	First pass at the pretty meag-change to make it so that we can detect people on the system vs. the session bus.  Basically reworking a bunch of structures.  Fun.

2009-03-27  Ted Gould  <ted@canonical.com>

	Patch from Gabor Kelemen to make the license and 'No Indicators' message translatable.

2009-03-27  Ted Gould  <ted@canonical.com>

	Removing the translatable marking for 'Indicator Applet Factory'

2009-03-27  Ted Gould  <ted@canonical.com>

	Bad truth in the hide function.

2009-03-26  Ted Gould  <ted@canonical.com>

	Adding another bug that gets fixed with Eitan's merge.

2009-03-26  Ted Gould  <ted@canonical.com>

	Comment for label

2009-03-26  Ted Gould  <ted@canonical.com>

	Switching the case for 'No Indicators' to make it a label to still support right click through.

2009-03-26  Ted Gould  <ted@canonical.com>

	Changing license in about box to make sense.

2009-03-26  Ted Gould  <ted@canonical.com>

	ATK name for Eitan

2009-03-26  Ted Gould  <ted@canonical.com>

	Getting gtkdoc stuff to be a little happier

2009-03-26  Ted Gould  <ted@canonical.com>

	Bumping version

2009-03-26  Ted Gould  <ted@canonical.com>

	Merging in Eitan's changes to make the applet a GNOME Program

2009-03-26  Eitan Isaacson  <eitan@ascender.com>

	Add gnome_program_init with LIBGNOMEUI_MODULE.

2009-03-18  Ted Gould  <ted@canonical.com>

	Changing version number

2009-03-17  Ted Gould  <ted@canonical.com>

	Seems that we still get errors without it being there, I'm not sure why, but making it so that we can explicitly disable the gobject-introspection.  That should work for now.

2009-03-17  Ted Gould  <ted@canonical.com>

	Making it so that the GIR stuff autodetects and only builds if available.

2009-03-12  Ted Gould  <ted@canonical.com>

	Fixes for distcheck

2009-03-12  Ted Gould  <ted@canonical.com>

	Changing version number

2009-03-12  Ted Gould  <ted@canonical.com>

	Stealing the 'fast-user-switch-applet' name to get better theming

2009-03-12  Ted Gould  <ted@canonical.com>

	Fixing the popup to have the about

2009-03-12  Ted Gould  <ted@canonical.com>

	Right click menu is working, but without an about

2009-03-09  Ted Gould  <ted@canonical.com>

	Fix doubling of prototypes, patch from Eitan

2009-03-09  Ted Gould  <ted@canonical.com>

	Putting the example executables in libexec and the source code in doc/examples

2009-02-25  Ted Gould  <ted@canonical.com>

	Linking in the build interfaces, needed a temporary function to get linking right

2009-02-25  Ted Gould  <ted@canonical.com>

	Forgot to put these in built sources

2009-02-25  Ted Gould  <ted@canonical.com>

	true is TRUE

2009-02-25  Ted Gould  <ted@canonical.com>

	Adding build instructions for the listener interface

2009-02-25  Ted Gould  <ted@canonical.com>

	Merging in changes to put back in the GObject introspection and to have better build characteristics.

2009-02-25  Ted Gould  <ted@canonical.com>

	Typo

2009-02-25  Ted Gould  <ted@canonical.com>

	releasing version 0.1.1-0ubuntu3~ppa2

2009-02-25  Ted Gould  <ted@canonical.com>

	Adding back in the GIR files and some distclean improvements to get back to NULL.

2009-02-25  Ted Gould  <ted@canonical.com>

	releasing version 0.1.1-0ubuntu3~ppa1

2009-02-18  Ted Gould  <ted@canonical.com>

	releasing version 0.1-0ubuntu3~ppa1

2009-02-18  Ted Gould  <ted@canonical.com>

	Merging in icon changes

2009-02-17  Ted Gould  <ted@canonical.com>

	Cherry picking r137 from the ubuntu-core-dev packaging branch that has licensing fixes

2009-02-17  Martin Pitt  <martin.pitt@canonical.com>

	debian/copyright: Fix leftover word "either" from the license
	description.

2009-02-17  Ted Gould  <ted@canonical.com>

	Cherry picking r136 from the ubuntu-core-dev packaging branch that cleans up the licensing, descriptions, and adds additional info

2009-02-17  Martin Pitt  <martin.pitt@canonical.com>

	debian/control: Update package descriptions; the messaging part is
	provided by indicator-messages.

2009-02-17  Martin Pitt  <martin.pitt@canonical.com>

	debian/control: Fix Vcs-Bzr.

2009-02-17  Martin Pitt  <martin.pitt@canonical.com>

	releasing version 0.1-0ubuntu1

2009-02-17  Martin Pitt  <martin.pitt@canonical.com>

	configure.ac: Add missing gio-2.0 pkgconfig check (from DX team
	PPA packaging branch), and autoreconf to pick up the change.

2009-02-17  Martin Pitt  <martin.pitt@canonical.com>

	Repack orig.tar.gz with a copy of the LGPL 3, libindicate/* is
	under that license.

2009-02-17  Martin Pitt  <martin.pitt@canonical.com>

	debian/copyright: Properly describe licenses.

2009-02-17  Ted Gould  <ted@canonical.com>

	Cherry picking r130 from the ubuntu-core-dev packaging branch that cleans up the changelog, adds better descriptions and updates the entries in the control file.

2009-02-17  Martin Pitt  <martin.pitt@canonical.com>

	debian/control: Add Homepage:, Vcs-Bzr:, and proper package
	descriptions.

2009-02-17  Martin Pitt  <martin.pitt@canonical.com>

	flush changelog for ubuntu packaging branch

2009-02-25  Ted Gould  <ted@canonical.com>

	Adding in the listeners interface

2009-02-22  Ted Gould  <ted@canonical.com>

	An interface to get the list of servers from another listener

2009-02-22  Ted Gould  <ted@canonical.com>

	Adding information on how the server was added, but not really using
	it for anything yet.  I'm not sure that we can -- bother.

2009-02-18  Ted Gould  <ted@canonical.com>

	Releasing 0.1.1 with build fixes and icons.

2009-02-18  Ted Gould  <ted@canonical.com>

	Changing the icon to be our fancy new one.

2009-02-18  Ted Gould  <ted@canonical.com>

	Adding in the autotools stuff for installing an icon.

2009-02-18  Ted Gould  <ted@canonical.com>

	Ken's very cool Indicator Applet plugin.

2009-02-17  Ted Gould  <ted@canonical.com>

	Configure changes to include gio

2009-02-17  Ted Gould  <ted@canonical.com>

	Mostly build related changes coming from the upstream branch.

2009-02-15  Ted Gould  <ted@canonical.com>

	releasing version 0.1~ppa41

2009-02-15  Ted Gould  <ted@canonical.com>

	* Putting on a handle
	* Adding in a background function from panel-lib

2009-02-15  Ted Gould  <ted@canonical.com>

	releasing version 0.1~ppa40

2009-02-15  Ted Gould  <ted@canonical.com>

	Merging in from the 'upstream' branch.  Changes include the addition
	of a server signal for the NULL indicator.  And a warning fix for
	icons.

2009-02-13  Ted Gould  <ted@canonical.com>

	releasing version 0.1~ppa39

2009-02-13  Ted Gould  <ted@canonical.com>

	Fixing a bug in the listener where properties weren't available on running servers.

2009-02-12  Ted Gould  <ted@canonical.com>

	releasing version 0.1~ppa38

2009-02-12  Ted Gould  <ted@canonical.com>

	Adding in GIO to the list of linked modules.

2009-02-12  Ted Gould  <ted@canonical.com>

	releasing version 0.1~ppa37

2009-02-12  Ted Gould  <ted@canonical.com>

	Making time and icons happy and work well.  Also adding lots of fun tests for them.

2009-02-17  Ted Gould  <ted@canonical.com>

	This is a generated file.  Shouldn't be in VCS.

2009-02-17  Ted Gould  <ted@canonical.com>

	Adding the license info

2009-02-17  Ted Gould  <ted@canonical.com>

	Adding the LGPL licenses and making sure they get into the tarball.

2009-02-16  Ted Gould  <ted@canonical.com>

	Trying to add in some extra files that seem useful for building, gtk-doc still fails.

2009-02-16  Ted Gould  <ted@canonical.com>

	Oops, should get the screw up right...

2009-02-16  Ted Gould  <ted@canonical.com>

	Adding a couple of files to the distribution to pass distcheck

2009-02-15  Ted Gould  <ted@canonical.com>

	This function seems to set up the widget correctly with the background.  It's undocumented, but most other applets seem to do it.

2009-02-15  Ted Gould  <ted@canonical.com>

	Putting a little handle on the indicators.  Works for GNOME Panel.

2009-02-15  Ted Gould  <ted@canonical.com>

	Removing the debian directory.  Going to start using this as my upstream
	branch and the other as the packaging branch.

2009-02-15  Ted Gould  <ted@canonical.com>

	Adding a handler for the new server display signal, and then make the
	messages more clear between the two.

2009-02-15  Ted Gould  <ted@canonical.com>

	Adding a new signal in that handles the ID of zero, or null, comming
	back from a listener and uses that to show the server.  Or atleast
	signal it to figure out how to do that.  Also cleaning up the signals
	a little to use defines.

2009-02-15  Ted Gould  <ted@canonical.com>

	Adding a check for NULL string in the icon parsing code.  This will
	stop a bunch of warnings coming from everything else.

2009-02-13  Ted Gould  <ted@canonical.com>

	Ah, declared a variable in an if so that it didn't get out of scope.  Like it should have.  Bah.

2009-02-13  Ted Gould  <ted@canonical.com>

	Adding in a set of functions to get the properties off of a server

2009-02-12  Ted Gould  <ted@canonical.com>

	Forgot to set the timer back to something reasonable!

2009-02-12  Ted Gould  <ted@canonical.com>

	Adding in support for icons, specifically passing them back and forth on the bus

2009-02-12  Ted Gould  <ted@canonical.com>

	Changing from using a memory stream to using a buffer, the memory stream one seems to be broken.

2009-02-12  Ted Gould  <ted@canonical.com>

	Adding in the function to take a pixbuf, turn it into a png, base64 encode it and then send it across the wire.

2009-02-12  Ted Gould  <ted@canonical.com>

	Changing the icon data to be base64 encoded, should have done that originally, how silly.

2009-02-12  Ted Gould  <ted@canonical.com>

	Seems like a better name

2009-02-12  Ted Gould  <ted@canonical.com>

	Fixing some prototypes to fix warnings and errors we haven't yet encountered.  Also setting the type so that our switch statement actually works.

2009-02-12  Ted Gould  <ted@canonical.com>

	Adding in some debug messages and making the signal use the original key to broadcast itself.

2009-02-12  Ted Gould  <ted@canonical.com>

	Added in a way to print the values of properties while they change.  More later, but a start.

2009-02-12  Ted Gould  <ted@canonical.com>

	Seeing what happens if I turn on "sign always" in Bazaar.

2009-02-12  Ted Gould  <ted@canonical.com>

	Adding in the code for handling icons and time

2009-02-12  Ted Gould  <ted@canonical.com>

	Rebuilding the way that priorities get done so that we can handle a time and icon version of the functions so that apps don't have to worry about those details.

2009-02-12  Ted Gould  <ted@canonical.com>

	Setting the properties property and picking up Empathy's desktop file

2009-02-12  Ted Gould  <ted@canonical.com>

	Adding in a timer function to change the time every three minutes or
	so in order to test modifying times.

2009-02-12  Ted Gould  <ted@canonical.com>

	Using the time property function

2009-02-12  Ted Gould  <ted@canonical.com>

	Adding in a time property function

2009-02-11  Ted Gould  <ted@canonical.com>

	Merging from trunk

2009-02-11  Ted Gould  <ted@canonical.com>

	releasing version 0.1~ppa36

2009-02-11  Ted Gould  <ted@canonical.com>

	Merging in the changes to make it so that properties work right, get
	handled properly by the listener and have convience functions.  Also
	lots of little important cleanups.

2009-02-11  Ted Gould  <ted@canonical.com>

	Putting license information everywhere.

2009-02-11  Ted Gould  <ted@canonical.com>

	Cleaning up some debug messages that aren't as useful anymore

2009-02-11  Ted Gould  <ted@canonical.com>

	Switching to ref_default

2009-02-11  Ted Gould  <ted@canonical.com>

	Fixing the deallocation to check the right parameters.

2009-02-11  Ted Gould  <ted@canonical.com>

	Turning off some debugging, reformatting, and putting the connection into the proxy_t structure

2009-02-11  Ted Gould  <ted@canonical.com>

	Basically things are working as the proxyts are now findable.

2009-02-11  Ted Gould  <ted@canonical.com>

	Fixing the call, checking both lists of proxies, and adding some debug info.

2009-02-11  Ted Gould  <ted@canonical.com>

	Removing an annoying warning

2009-02-11  Ted Gould  <ted@canonical.com>

	Adding a check for type in the middle of the state machine for building a server.

2009-02-11  Ted Gould  <ted@canonical.com>

	Adding in a ref-default function so that we can keep one listener
	around for fun and profit.

2009-02-11  Ted Gould  <ted@canonical.com>

	Getting all the legal stuff in.

2009-02-11  Ted Gould  <ted@canonical.com>

	Adding in an author

2009-02-11  Ted Gould  <ted@canonical.com>

	Adding GPL to the tests

2009-02-11  Ted Gould  <ted@canonical.com>

	Adding the GPL to this file

2009-02-11  Ted Gould  <ted@canonical.com>

	Putting the debian copyright info in

2009-02-11  Ted Gould  <ted@canonical.com>

	Adding a license to the top of all these files.  LGPL 2/3

2009-02-10  Ted Gould  <ted@canonical.com>

	Adding to the convience functions for setting the desktop file
	and the type of the server.

2009-02-10  Ted Gould  <ted@canonical.com>

	Building a way to get properties.  Seems like this should be in the DBus
	libs, but anyway.  Here is the code that compiles and claims that it'll
	do it.  More code than I would have liked.

2009-02-10  Ted Gould  <ted@canonical.com>

	Avoiding a conflict with GObject's get_type function.

2009-02-10  Ted Gould  <ted@canonical.com>

	Adding in real functions to match the prototypes.

2009-02-10  Ted Gould  <ted@canonical.com>

	Adding in functions to match the prototypes.

2009-02-10  Ted Gould  <ted@canonical.com>

	Adding in a set_type function and fixing the prototype for set_desktop

2009-02-10  Ted Gould  <ted@canonical.com>

	Changing type to message.im for testing, now it's different than the messages.

2009-02-10  Ted Gould  <ted@canonical.com>

	Adding an API for getting the type and desktop files

2009-02-10  Ted Gould  <ted@canonical.com>

	Including type information in the creation and destruction of servers

2009-02-09  Ted Gould  <ted@canonical.com>

	Merge from trunk

2009-02-09  Ted Gould  <ted@canonical.com>

	releasing version 0.1~ppa35

2009-02-09  Ted Gould  <ted@canonical.com>

	Only emitting a changed signal on properties changed when the indicator is visible

2009-02-09  Ted Gould  <ted@canonical.com>

	Some formatting, reusing the private variable, making it so that hide sends the type and only sending a message of finalize if we're still visible.

2009-02-09  Ted Gould  <ted@canonical.com>

	Server hide function from Niel

2009-02-09  Neil Jagdish Patel  <neil.patel@canonical.com>

	Add the indicate_server_hide function

2009-02-07  Ted Gould  <ted@canonical.com>

	Sending the type with the signal in the listener, adding it into the tests.

2009-02-06  Ted Gould  <ted@canonical.com>

	releasing version 0.1~ppa34

2009-02-06  Ted Gould  <ted@canonical.com>

	Making the listener handle the case where we're using the new show/hide structure.

2009-02-06  Ted Gould  <ted@canonical.com>

	releasing version 0.1~ppa33

2009-02-06  Ted Gould  <ted@canonical.com>

	releasing version 0.1~ppa32

2009-02-06  Ted Gould  <ted@canonical.com>

	releasing version 0.1~ppa31

2009-02-06  Ted Gould  <ted@canonical.com>

	releasing version 0.1~ppa30

2009-02-06  Ted Gould  <ted@canonical.com>

	Removing GObject introspection for now

2009-02-06  Ted Gould  <ted@canonical.com>

	releasing version 0.1~ppa29

2009-02-05  Ted Gould  <ted@canonical.com>

	releasing version 0.1~ppa28

2009-02-07  Ted Gould  <ted@canonical.com>

	Changing the signals for show/hide to send the type correctly.

2009-02-07  Ted Gould  <ted@canonical.com>

	Setting the type of the server

2009-02-06  Ted Gould  <ted@canonical.com>

	Ah, stupid little wrong function

2009-02-06  Ted Gould  <ted@canonical.com>

	Tracking the type of the server in the proxyt structure

2009-02-06  Ted Gould  <ted@canonical.com>

	Changing the prototypes to start using the server added stuff

2009-02-05  Ted Gould  <ted@canonical.com>

	Merging in the trunk changes

2009-02-05  Ted Gould  <ted@canonical.com>

	releasing version 0.1~ppa27

2009-02-04  Ted Gould  <ted@canonical.com>

	typo

2009-02-04  Ted Gould  <ted@canonical.com>

	releasing version 0.1~ppa26

2009-02-04  Ted Gould  <ted@canonical.com>

	Merge in documentation and icons

2009-02-04  Neil Jagdish Patel  <neil.patel@canonical.com>

	Set the widget name on the applet rather than the menubar, to make sure
	it's picked up globally.

2009-02-04  Ted Gould  <ted@canonical.com>

	Adding a conflicts and a replaces to get rid of errors.

2009-02-04  Ted Gould  <ted@canonical.com>

	ppa23

2009-02-05  Ted Gould  <ted@canonical.com>

	Adding properties for doing type and desktop

2009-02-05  Ted Gould  <ted@canonical.com>

	Changing the DBUS API slightly.  Now there is no 'get_desktop' function as desktop is a property.  Added a property for type so that we can understand what kind of application this is.  And finally adding show/hide signals on the server as they were already on the listener.

2009-02-05  Ted Gould  <ted@canonical.com>

	releasing version 0.1~ppa23

2009-02-05  Ted Gould  <ted@canonical.com>

	Adding in the API function to take and icon and display it.  Just the prototype.

2009-02-04  Ted Gould  <ted@canonical.com>

	Removing the icons from the larger applet

2009-02-04  Ted Gould  <ted@canonical.com>

	Polish it up

2009-02-04  Ted Gould  <ted@canonical.com>

	Making it so that there is no more boarder on the menu bar

2009-02-04  Neil Jagdish Patel  <neil.patel@canonical.com>

	indicator-applet (0.1~ppa22) intrepid; urgency=low
	
	* Add support for a transparent panel applet
	
	-- Neil J. Patel <neil.patel@canonical.com>  Wed, 04 Feb 2009 12:44:56 +0100

2009-02-04  Neil Jagdish Patel  <neil.patel@canonical.com>

	Fix coding style

2009-02-03  Neil Jagdish Patel  <neil.patel@canonical.com>

	Enable support for a "transparent" panel applet, which reacts to the gnome-
	panel theme changes

2009-02-03  Ted Gould  <ted@canonical.com>

	Getting gtk-doc working

2009-02-03  Ted Gould  <ted@canonical.com>

	Getting everything together to try and build docs

2009-02-03  Ted Gould  <ted@canonical.com>

	Getting the dirs right

2009-02-03  Ted Gould  <ted@canonical.com>

	Getting SUBDIRS right

2009-02-03  Ted Gould  <ted@canonical.com>

	I think this will add gtk docs

2009-02-03  Ted Gould  <ted@canonical.com>

	Putting in the makefiles for the docs and the reference docs

2009-02-03  Ted Gould  <ted@canonical.com>

	Adding in checks for GTK Doc

2009-02-03  Ted Gould  <ted@canonical.com>

	Merge from trunk

2009-02-03  Ted Gould  <ted@canonical.com>

	* Adding in package fixes from seb128
	* Removing scrollkeeper
	* Changing libindicate to libindicate0
	* Removing .la file
	* Removing targets for files in libindcate-dev.install
	* Removing pkg-create-dbgsym
	* Adding a build depend on pkg-create-dbgsym

2009-02-03  Neil Jagdish Patel  <neil.patel@canonical.com>

	Allow sub-classes of server to emit signals using three new public functions

2009-02-02  Ted Gould  <ted@canonical.com>

	Bump for PPA

2009-02-02  Ted Gould  <ted@canonical.com>

	Should have been for Intrepid

2009-01-30  Ted Gould  <ted@canonical.com>

	Adding interface for listener sending back a display
	request.

2009-01-30  Ted Gould  <ted@canonical.com>

	Listener interface for signalling an indicator

2009-01-30  Ted Gould  <ted@canonical.com>

	Adding a print message for when the indicator is signaled

2009-01-30  Ted Gould  <ted@canonical.com>

	Adding an interface to call back to an indicator and display it.

2009-01-29  Ted Gould  <ted@canonical.com>

	Guess I should merge trunk back in at some point.

2009-01-29  Ted Gould  <ted@canonical.com>

	* Fixing the handling of named DBus connections
	* Moving most of the data in the objects to private sections
	* Making the signal names defines for easier usage
	* Having property changes actually work now.

2009-01-22  Ted Gould  <ted@canonical.com>

	Forgot to run autogen.sh before last package :(

2009-01-21  Ted Gould  <ted@canonical.com>

	Update API slightly and some fixes.

2009-01-21  Ted Gould  <ted@canonical.com>

	Adding in a message indicator and a small test to use it.

2009-01-21  Ted Gould  <ted@canonical.com>

	Adding in listener_get_property

2009-01-29  Ted Gould  <ted@canonical.com>

	Changing the include directory from 1.0 to 0.1 which gives us more room to screw up

2009-01-29  Ted Gould  <ted@canonical.com>

	Wow, I didn't realize we weren't handling properties at all correctly.  Fixed now.  Whew.

2009-01-29  Ted Gould  <ted@canonical.com>

	Adding a set property after the show to cause a signal

2009-01-29  Ted Gould  <ted@canonical.com>

	Have the server pass along the property modified signal

2009-01-29  Ted Gould  <ted@canonical.com>

	Adding a property modified signal to the indicator object

2009-01-29  Ted Gould  <ted@canonical.com>

	Making all of the server values move into a private section like all the others.  Generally a good thing and good clean up

2009-01-29  Ted Gould  <ted@canonical.com>

	Making the indicator properties private, they should be.  Also cleans
	up some deps.

2009-01-29  Ted Gould  <ted@canonical.com>

	Removing the gobject-introspection-repository from the list of build
	depends as we needed it for the dbus stuff, that we're no longer using.

2009-01-29  Ted Gould  <ted@canonical.com>

	Removing DBus from the gobject introspection

2009-01-29  Ted Gould  <ted@canonical.com>

	Oops, forgot the header there

2009-01-29  Ted Gould  <ted@canonical.com>

	Okay, moving all of the variables from the listener class into a private object.  This is to make the GObject introspection not need dbus, and thus we can reduce our build deps significantly.

2009-01-29  Ted Gould  <ted@canonical.com>

	Use the new fangled defines to make things cleaner

2009-01-29  Ted Gould  <ted@canonical.com>

	Getting some helper defines for some of the hacks that'll probably change in the future

2009-01-29  Ted Gould  <ted@canonical.com>

	Using the defines for the signal names

2009-01-29  Ted Gould  <ted@canonical.com>

	Making the signals use #defines to make everything a little more
	predictable.  I hate this part of GObject signals.

2009-01-29  Ted Gould  <ted@canonical.com>

	Adding a variable to make the compiler happier

2009-01-26  Ted Gould  <ted@canonical.com>

	Changed to only listen to reference names instead of descriptive
	ones.  Hopefully this'll fix a crash.

2009-01-21  Ted Gould  <ted@canonical.com>

	Adding in the im-client test and fixing a couple of bugs it found

2009-01-21  Ted Gould  <ted@canonical.com>

	Adding in a type for indicators that are messages

2009-01-21  Ted Gould  <ted@canonical.com>

	Generated source files

2009-01-21  Ted Gould  <ted@canonical.com>

	Adding in a get_property function

2009-01-19  Ted Gould  <ted@canonical.com>

	Wrong indicate include directory in package config files

2009-01-19  Ted Gould  <ted@canonical.com>

	Wrong indicate include directory in package config files

2009-01-16  Ted Gould  <ted@canonical.com>

	Moving the gir file to the right package

2009-01-16  Ted Gould  <ted@canonical.com>

	Removing the gir file from the applet so that it's only
	with the library so that we can install all of them.

2009-01-16  Ted Gould  <ted@canonical.com>

	Adding the GObject Introspection files into the build and the
	packaging.

2009-01-16  Ted Gould  <ted@canonical.com>

	Shell script integrated into the autotools system

2009-01-16  Ted Gould  <ted@canonical.com>

	Bringing GObject Introspection into the build and making it so that
	it gets installed with the library.

2009-01-16  Ted Gould  <ted@canonical.com>

	Build fix

2009-01-16  Ted Gould  <ted@canonical.com>

	Adding in libtool to build deps

2009-01-16  Ted Gould  <ted@canonical.com>

	Getting the debian package built up so that it can have a seperate library binary package.

2009-01-16  Ted Gould  <ted@canonical.com>

	Building the listener object that listens to all of the folks on DBus and turns that into a usable interface for indicator display folks.  A lot of code to make things simple :)

2009-01-14  Ted Gould  <ted@canonical.com>

	Okay, I think this is the end of server and indicator minus all
	the bugs that I expect to find :)

2009-01-14  Ted Gould  <ted@canonical.com>

	Merging in code from yesterday.  Got many of the functions working with
	real IDs and making lists.  The basis for all the properties stuff is there
	but it still needs a touch of fleshing out.  Also a new test for debugging.

2009-01-16  Ted Gould  <ted@canonical.com>

	Changing the build targets, now I understand the difference between 'any' and 'all'

2009-01-16  Ted Gould  <ted@canonical.com>

	Making it so the lib only uses glib (which it does)

2009-01-16  Ted Gould  <ted@canonical.com>

	Adding in the libindicate lib.

2009-01-16  Ted Gould  <ted@canonical.com>

	Moving the tests so that they can guarantee to build after the library
	builds as otherwise they end up getting built first.

2009-01-16  Ted Gould  <ted@canonical.com>

	Adding in a return that was missing (though it's useless)

2009-01-16  Ted Gould  <ted@canonical.com>

	Handling the case that we're destroying an entry because the bus told us to.  Properly signalling all of the removals

2009-01-15  Ted Gould  <ted@canonical.com>

	Fixing the printing and the saving of indicators.

2009-01-15  Ted Gould  <ted@canonical.com>

	Changing the test to do the printing by itself instead of using the debug messages in the class itself

2009-01-15  Ted Gould  <ted@canonical.com>

	Getting the signals in shape

2009-01-15  Ted Gould  <ted@canonical.com>

	Okay, adding the other signals in and keeping track of the indicators
	that are hanging around.  Now, to connect to things external.

2009-01-15  Ted Gould  <ted@canonical.com>

	Get the type of the list of indicators that we got, and then set the up to register

2009-01-15  Ted Gould  <ted@canonical.com>

	Now correctly calling the get indicators function to get the indicators on already created objects.

2009-01-15  Ted Gould  <ted@canonical.com>

	Adding in a marshaller for the DBus signals that we need

2009-01-15  Ted Gould  <ted@canonical.com>

	Now doing some DBus listening and getting some of the initial configuration built up.

2009-01-15  Ted Gould  <ted@canonical.com>

	Changing to the dbus interface and changing to build teh client and server interfaces

2009-01-15  Ted Gould  <ted@canonical.com>

	Amazing how a little string can make such a huge difference.

2009-01-15  Ted Gould  <ted@canonical.com>

	Adding in a basic listening test

2009-01-15  Ted Gould  <ted@canonical.com>

	Adding a new function

2009-01-15  Ted Gould  <ted@canonical.com>

	Starting to flesh out the listener a little bit, should get a list of names on teh bus at this point

2009-01-15  Ted Gould  <ted@canonical.com>

	Adding in the base object for the listener.

2009-01-15  Ted Gould  <ted@canonical.com>

	Cut-and-paste error

2009-01-14  Ted Gould  <ted@canonical.com>

	Cleaning up prototypes and type warnings.

2009-01-14  Ted Gould  <ted@canonical.com>

	Who the hell would design an API that passes in arrays of strings differently
	than it passes them out.  What an insane idea.  Oh yeah, properties work.

2009-01-14  Ted Gould  <ted@canonical.com>

	Chaning the property list parameters to be pointer arrays.

2009-01-13  Ted Gould  <ted@canonical.com>

	Making the indicator lookup it's own function and trying it out in another function to get a property.

2009-01-13  Ted Gould  <ted@canonical.com>

	Adding in some properties to the mix

2009-01-13  Ted Gould  <ted@canonical.com>

	Adding in a display function and a list by type.

2009-01-13  Ted Gould  <ted@canonical.com>

	Man, a lot of work for messing up one explaination point.

2009-01-13  Ted Gould  <ted@canonical.com>

	Making it so that the indicators all have unique IDs

2009-01-13  Ted Gould  <ted@canonical.com>

	Forgot to actually add the test

2009-01-13  Ted Gould  <ted@canonical.com>

	Ah, we weren't checking if we were visible.  Now things are better.

2009-01-13  Ted Gould  <ted@canonical.com>

	Return to crashing beauty

2009-01-13  Ted Gould  <ted@canonical.com>

	Add a test to create a lot of indicators.

2009-01-13  Ted Gould  <ted@canonical.com>

	Merging in Robert's changes.

2009-01-13  Robert Carr  <racarr@ender>

	Add script to build GObject-introspection GIR, and boilerplate 
	JavaScript test.

2009-01-13  Robert Carr  <racarr@ender>

	Use G_BEGIN/END_DECLS, and put the GOBject *_get_type functions in the 
	header file (needed by introspection, but also the normal GLib style).

2009-01-13  Robert Carr  <racarr@ender>

	Merge Ted's changes. I should have used bzr bind.

2009-01-13  Robert Carr  <racarr@ender>

	Add pkgconfig file.

2009-01-12  Ted Gould  <ted@canonical.com>

	Fleshing out more functions, we can now return a list of ids.  Need to test with more.

2009-01-12  Ted Gould  <ted@canonical.com>

	Whoo Hoo, we can count

2009-01-12  Ted Gould  <ted@canonical.com>

	Fleshing out the whole show and hide thing.  We should also be signalling when indicators are added or removed from the server.

2009-01-12  Ted Gould  <ted@canonical.com>

	Clean up the signal handlers and fixing the call in the test function.  Now we're to the point of showing the way I think things should be.

2009-01-12  Ted Gould  <ted@canonical.com>

	Basic show hide support in the indicator

2009-01-12  Ted Gould  <ted@canonical.com>

	Changing to showing the inicator and make it so that we dont' crash right now.

2009-01-12  Ted Gould  <ted@canonical.com>

	Adding in the base functions with pointers and fun stuff like that

2009-01-11  Ted Gould  <ted@canonical.com>

	Adding in signals so that we can talk to the app over DBus.  Nice.

2009-01-09  Ted Gould  <ted@canonical.com>

	Adding in a show to help debugging

2009-01-09  Ted Gould  <ted@canonical.com>

	Adding in an indicator to the test and fixing a typo

2009-01-09  Ted Gould  <ted@canonical.com>

	Connecting indicators and servers.  They create themselves easily.

2009-01-09  Ted Gould  <ted@canonical.com>

	Setting up the singleton nature of the server, and allow setting it.

2009-01-09  Ted Gould  <ted@canonical.com>

	Fleshing out the server some in adding function and prototypes.

2009-01-08  Ted Gould  <ted@canonical.com>

	Adding in build support for the indicate and crash test.  Will make future ones easier.

2009-01-08  Ted Gould  <ted@canonical.com>

	Adding in a simple program to crash after 15 seconds.  Now we can add indicators to it.

2009-01-08  Ted Gould  <ted@canonical.com>

	Building a pretty good set of virtual functions and getting them tied together, with errors too.

2009-01-08  Ted Gould  <ted@canonical.com>

	Basic GObject stuff

2009-01-07  Ted Gould  <ted@canonical.com>

	Setting up version of the libraries.

2009-01-07  Ted Gould  <ted@canonical.com>

	Fixing stuff so that everything links all together

2009-01-07  Ted Gould  <ted@canonical.com>

	Adding in a built sources tag to build the header file properly

2009-01-07  Ted Gould  <ted@canonical.com>

	Fixing linking and libraries and includes oh my

2009-01-07  Ted Gould  <ted@canonical.com>

	Dummy starting file

2009-01-07  Ted Gould  <ted@canonical.com>

	Adding libindicate to the build system

2009-01-07  Ted Gould  <ted@canonical.com>

	Make file starting out to build this thing

2009-01-07  Ted Gould  <ted@canonical.com>

	Basic server stuff

2009-01-07  Ted Gould  <ted@canonical.com>

	Fixing a bunch of typos, now it is a happy validating XML file.

2009-01-07  Ted Gould  <ted@canonical.com>

	First version of XML DBus interface

2009-01-07  Ted Gould  <ted@canonical.com>

	Dropping in more code to make these real GObjects and such

2008-12-20  Ted Gould  <ted@canonical.com>

	Stopping point

2008-12-04  Ted Gould  <ted@canonical.com>

	Moving the indicator directory cross-packages.

2008-12-04  Ted Gould  <ted@canonical.com>

	Put in the kickarse loader code.  Happy, happy.

2008-12-04  Ted Gould  <ted@canonical.com>

	Building in a module loader

2008-12-03  Ted Gould  <ted@canonical.com>

	Parse directories

2008-12-03  Ted Gould  <ted@canonical.com>

	Making the applet very light.

2008-12-03  Ted Gould  <ted@canonical.com>

	Okay, we're all doing everything perfect

2008-12-03  Ted Gould  <ted@canonical.com>

	Making the applet a lot more sparce.  Now we're going to load things dynamically.  Let them have their own problems.

2008-12-03  Ted Gould  <ted@canonical.com>

	Removing everything except messaging.

2008-12-02  Ted Gould  <ted@canonical.com>

	Adding in all of the icons into the mockups.

2008-11-25  Ted Gould  <ted@canonical.com>

	Adding in icons from Ken.

2008-11-24  Ted Gould  <ted@canonical.com>

	Adding in some filler menus to get some depth.

2008-11-24  Ted Gould  <ted@canonical.com>

	Adding in the infrastructure to have icons in the build.  Only a dummy icon for now, but it's there and ready for some friends.

2008-11-24  Ted Gould  <ted@canonical.com>

	Adding in additional files to catch translations

2008-11-24  Ted Gould  <ted@canonical.com>

	Removing the test menu item.

2008-11-24  Ted Gould  <ted@canonical.com>

	Adding in settings

2008-11-24  Ted Gould  <ted@canonical.com>

	Blocking the prelight

2008-11-24  Ted Gould  <ted@canonical.com>

	Making spacing and alignment better

2008-11-24  Ted Gould  <ted@canonical.com>

	Getting some batteries in there.

2008-11-24  Ted Gould  <ted@canonical.com>

	Basic power handler

2008-11-20  Ted Gould  <ted@canonical.com>

	First try at getting it not to hide on click.  Fail.

2008-11-20  Ted Gould  <ted@canonical.com>

	Whoa, getting that inherited type wrong really messes things up.

2008-11-20  Ted Gould  <ted@canonical.com>

	Clean compile, but something is broken in the _init function.  Not sure what.

2008-11-19  Ted Gould  <ted@canonical.com>

	Okay, blocked the prelight on the item, now how do I get my buttons out of event prison.

2008-11-19  Ted Gould  <ted@canonical.com>

	Getting all the widgets in the menu item.  Doesn't quite work right, but the widgets are there.

2008-11-19  Ted Gould  <ted@canonical.com>

	Adding in a menu item to start putting in a slider.

2008-11-18  Ted Gould  <ted@canonical.com>

	Adding a depend for dbus-glib

2008-11-18  Ted Gould  <ted@canonical.com>

	Version one of debian packaging.

2008-11-12  Ted Gould  <ted@canonical.com>

	Working on ideas for the prototype of the individual item stuff

2008-11-12  Ted Gould  <ted@canonical.com>

	Starting to build functions to handle the menu spec over DBus

2008-11-12  Ted Gould  <ted@canonical.com>

	Okay, audio is an icon now.

2008-11-12  Ted Gould  <ted@canonical.com>

	Connecting in all the different applets, now they can do their own thing.

2008-11-12  Ted Gould  <ted@canonical.com>

	Adding the basis for all the different indicators that we want to include

2008-11-12  Ted Gould  <ted@canonical.com>

	Switching from a label and an hbox to a menubar

2008-11-12  Ted Gould  <ted@canonical.com>

	Ah, forgot to show the applet itself.

2008-11-12  Ted Gould  <ted@canonical.com>

	Putting a label in the widget

2008-11-12  Ted Gould  <ted@canonical.com>

	Adding in more documentation on the seperation between user interaction
	and the system services.

2008-11-10  Ted Gould  <ted@canonical.com>

	A diagram about how intermediate daemons are going to provide status to the panel.

2008-11-10  Ted Gould  <ted@canonical.com>

	Getting some text that I'd written on the target API in the repo.

2008-11-10  Ted Gould  <ted@canonical.com>

	Indicator prototypes

2008-10-30  Ted Gould  <ted@canonical.com>

	Ignoring some stuff

2008-10-30  Ted Gould  <ted@canonical.com>

	Setting up the data directories and getting everything to translate nicely

2008-10-29  Ted Gould  <ted@canonical.com>

	Adding in the linking and some basic prototypes.

2008-10-29  Ted Gould  <ted@canonical.com>

	Getting the build things together so that it starts building.  Yeah.

2008-10-29  Ted Gould  <ted@canonical.com>

	Basic build system, not quite working though

